## org.eclipse.ocl.cst
Interface CSTPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  CSTPackageImpl

    public interface CSTPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `CSTFactory`

Nested Class Summary
`static interface` `CSTPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `BOOLEAN_LITERAL_EXP_CS` The meta object id for the '`Boolean Literal Exp CS`' class
`static int` `BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL` The feature id for the 'Boolean Symbol' attribute
`static int` `BOOLEAN_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `BOOLEAN_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `BOOLEAN_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `BOOLEAN_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Boolean Literal Exp CS' class
`static int` `CALL_EXP_CS` The meta object id for the '`Call Exp CS`' class
`static int` `CALL_EXP_CS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `CALL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `CALL_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `CALL_EXP_CS__SOURCE` The feature id for the 'Source' containment reference
`static int` `CALL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `CALL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Call Exp CS' class
`static int` `CLASSIFIER_CONTEXT_DECL_CS` The meta object id for the '`Classifier Context Decl CS`' class
`static int` `CLASSIFIER_CONTEXT_DECL_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS` The feature id for the 'Inv Or Def CS' containment reference
`static int` `CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS` The feature id for the 'Path Name CS' containment reference
`static int` `CLASSIFIER_CONTEXT_DECL_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `CLASSIFIER_CONTEXT_DECL_CS_FEATURE_COUNT` The number of structural features of the 'Classifier Context Decl CS' class
`static int` `COLLECTION_LITERAL_EXP_CS` The meta object id for the '`Collection Literal Exp CS`' class
`static int` `COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS` The feature id for the 'Collection Literal Parts' containment reference list
`static int` `COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE` The feature id for the 'Collection Type' attribute
`static int` `COLLECTION_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `COLLECTION_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `COLLECTION_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Collection Literal Exp CS' class
`static int` `COLLECTION_LITERAL_PART_CS` The meta object id for the '`Collection Literal Part CS`' class
`static int` `COLLECTION_LITERAL_PART_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `COLLECTION_LITERAL_PART_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `COLLECTION_LITERAL_PART_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `COLLECTION_LITERAL_PART_CS_FEATURE_COUNT` The number of structural features of the 'Collection Literal Part CS' class
`static int` `COLLECTION_RANGE_CS` The meta object id for the '`Collection Range CS`' class
`static int` `COLLECTION_RANGE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `COLLECTION_RANGE_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `COLLECTION_RANGE_CS__LAST_EXPRESSION_CS` The feature id for the 'Last Expression CS' containment reference
`static int` `COLLECTION_RANGE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `COLLECTION_RANGE_CS_FEATURE_COUNT` The number of structural features of the 'Collection Range CS' class
`static int` `COLLECTION_TYPE_CS` The meta object id for the '`Collection Type CS`' class
`static int` `COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER` The feature id for the 'Collection Type Identifier' attribute
`static int` `COLLECTION_TYPE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `COLLECTION_TYPE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `COLLECTION_TYPE_CS__TYPE_CS` The feature id for the 'Type CS' containment reference
`static int` `COLLECTION_TYPE_CS_FEATURE_COUNT` The number of structural features of the 'Collection Type CS' class
`static int` `COLLECTION_TYPE_IDENTIFIER_ENUM` The meta object id for the '`Collection Type Identifier Enum`' enum
`static int` `CONTEXT_DECL_CS` The meta object id for the '`Context Decl CS`' class
`static int` `CONTEXT_DECL_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `CONTEXT_DECL_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `CONTEXT_DECL_CS_FEATURE_COUNT` The number of structural features of the 'Context Decl CS' class
`static int` `CST_NODE` The meta object id for the '`Node`' class
`static int` `CST_NODE__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `CST_NODE__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `CST_NODE_FEATURE_COUNT` The number of structural features of the 'Node' class
`static int` `DEF_CS` The meta object id for the '`Def CS`' class
`static int` `DEF_CS__DEF_EXPRESSION_CS` The feature id for the 'Def Expression CS' containment reference
`static int` `DEF_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `DEF_CS__INV_OR_DEF_CS` The feature id for the 'Inv Or Def CS' reference
`static int` `DEF_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `DEF_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `DEF_CS_FEATURE_COUNT` The number of structural features of the 'Def CS' class
`static int` `DEF_EXPRESSION_CS` The meta object id for the '`Def Expression CS`' class
`static int` `DEF_EXPRESSION_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `DEF_EXPRESSION_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `DEF_EXPRESSION_CS__OPERATION_CS` The feature id for the 'Operation CS' containment reference
`static int` `DEF_EXPRESSION_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `DEF_EXPRESSION_CS__VARIABLE_CS` The feature id for the 'Variable CS' containment reference
`static int` `DEF_EXPRESSION_CS_FEATURE_COUNT` The number of structural features of the 'Def Expression CS' class
`static int` `DER_VALUE_CS` The meta object id for the '`Der Value CS`' class
`static int` `DER_VALUE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `DER_VALUE_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `DER_VALUE_CS__INIT_OR_DER_VALUE_CS` The feature id for the 'Init Or Der Value CS' containment reference
`static int` `DER_VALUE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `DER_VALUE_CS_FEATURE_COUNT` The number of structural features of the 'Der Value CS' class
`static int` `DOT_OR_ARROW_ENUM` The meta object id for the '`Dot Or Arrow Enum`' enum
`static CSTPackage` `eINSTANCE` The singleton instance of the package
`static String` `eNAME` The package name
`static String` `eNS_PREFIX` The package namespace name
`static String` `eNS_URI` The package namespace URI
`static int` `ENUM_LITERAL_EXP_CS` The meta object id for the '`Enum Literal Exp CS`' class
`static int` `ENUM_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `ENUM_LITERAL_EXP_CS__PATH_NAME_CS` The feature id for the 'Path Name CS' containment reference
`static int` `ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `ENUM_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `ENUM_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Enum Literal Exp CS' class
`static int` `FEATURE_CALL_EXP_CS` The meta object id for the '`Feature Call Exp CS`' class
`static int` `FEATURE_CALL_EXP_CS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `FEATURE_CALL_EXP_CS__ARGUMENTS` The feature id for the 'Arguments' containment reference list
`static int` `FEATURE_CALL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS` The feature id for the 'Is Marked Pre CS' containment reference
`static int` `FEATURE_CALL_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `FEATURE_CALL_EXP_CS__SOURCE` The feature id for the 'Source' containment reference
`static int` `FEATURE_CALL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `FEATURE_CALL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Feature Call Exp CS' class
`static int` `IF_EXP_CS` The meta object id for the '`If Exp CS`' class
`static int` `IF_EXP_CS__CONDITION` The feature id for the 'Condition' containment reference
`static int` `IF_EXP_CS__ELSE_EXPRESSION` The feature id for the 'Else Expression' containment reference
`static int` `IF_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `IF_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `IF_EXP_CS__THEN_EXPRESSION` The feature id for the 'Then Expression' containment reference
`static int` `IF_EXP_CS_FEATURE_COUNT` The number of structural features of the 'If Exp CS' class
`static int` `INIT_OR_DER_VALUE_CS` The meta object id for the '`Init Or Der Value CS`' class
`static int` `INIT_OR_DER_VALUE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `INIT_OR_DER_VALUE_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS` The feature id for the 'Init Or Der Value CS' containment reference
`static int` `INIT_OR_DER_VALUE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `INIT_OR_DER_VALUE_CS_FEATURE_COUNT` The number of structural features of the 'Init Or Der Value CS' class
`static int` `INIT_VALUE_CS` The meta object id for the '`Init Value CS`' class
`static int` `INIT_VALUE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `INIT_VALUE_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `INIT_VALUE_CS__INIT_OR_DER_VALUE_CS` The feature id for the 'Init Or Der Value CS' containment reference
`static int` `INIT_VALUE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `INIT_VALUE_CS_FEATURE_COUNT` The number of structural features of the 'Init Value CS' class
`static int` `INTEGER_LITERAL_EXP_CS` The meta object id for the '`Integer Literal Exp CS`' class
`static int` `INTEGER_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL` The feature id for the 'Integer Symbol' attribute
`static int` `INTEGER_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `INTEGER_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `INTEGER_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Integer Literal Exp CS' class
`static int` `INV_CS` The meta object id for the '`Inv CS`' class
`static int` `INV_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `INV_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `INV_CS__INV_OR_DEF_CS` The feature id for the 'Inv Or Def CS' reference
`static int` `INV_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `INV_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `INV_CS_FEATURE_COUNT` The number of structural features of the 'Inv CS' class
`static int` `INV_OR_DEF_CS` The meta object id for the '`Inv Or Def CS`' class
`static int` `INV_OR_DEF_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `INV_OR_DEF_CS__INV_OR_DEF_CS` The feature id for the 'Inv Or Def CS' reference
`static int` `INV_OR_DEF_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `INV_OR_DEF_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `INV_OR_DEF_CS_FEATURE_COUNT` The number of structural features of the 'Inv Or Def CS' class
`static int` `INVALID_LITERAL_EXP_CS` The meta object id for the '`Invalid Literal Exp CS`' class
`static int` `INVALID_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `INVALID_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `INVALID_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `INVALID_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Invalid Literal Exp CS' class
`static int` `IS_MARKED_PRE_CS` The meta object id for the '`Is Marked Pre CS`' class
`static int` `IS_MARKED_PRE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `IS_MARKED_PRE_CS__PRE` The feature id for the 'Pre' attribute
`static int` `IS_MARKED_PRE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `IS_MARKED_PRE_CS_FEATURE_COUNT` The number of structural features of the 'Is Marked Pre CS' class
`static int` `ITERATE_EXP_CS` The meta object id for the '`Iterate Exp CS`' class
`static int` `ITERATE_EXP_CS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `ITERATE_EXP_CS__BODY` The feature id for the 'Body' containment reference
`static int` `ITERATE_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `ITERATE_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `ITERATE_EXP_CS__SOURCE` The feature id for the 'Source' containment reference
`static int` `ITERATE_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `ITERATE_EXP_CS__VARIABLE1` The feature id for the 'Variable1' containment reference
`static int` `ITERATE_EXP_CS__VARIABLE2` The feature id for the 'Variable2' containment reference
`static int` `ITERATE_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Iterate Exp CS' class
`static int` `ITERATOR_EXP_CS` The meta object id for the '`Iterator Exp CS`' class
`static int` `ITERATOR_EXP_CS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `ITERATOR_EXP_CS__BODY` The feature id for the 'Body' containment reference
`static int` `ITERATOR_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `ITERATOR_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `ITERATOR_EXP_CS__SOURCE` The feature id for the 'Source' containment reference
`static int` `ITERATOR_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `ITERATOR_EXP_CS__VARIABLE1` The feature id for the 'Variable1' containment reference
`static int` `ITERATOR_EXP_CS__VARIABLE2` The feature id for the 'Variable2' containment reference
`static int` `ITERATOR_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Iterator Exp CS' class
`static int` `LET_EXP_CS` The meta object id for the '`Let Exp CS`' class
`static int` `LET_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `LET_EXP_CS__IN_EXPRESSION` The feature id for the 'In Expression' containment reference
`static int` `LET_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `LET_EXP_CS__VARIABLES` The feature id for the 'Variables' containment reference list
`static int` `LET_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Let Exp CS' class
`static int` `LITERAL_EXP_CS` The meta object id for the '`Literal Exp CS`' class
`static int` `LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Literal Exp CS' class
`static int` `LOOP_EXP_CS` The meta object id for the '`Loop Exp CS`' class
`static int` `LOOP_EXP_CS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `LOOP_EXP_CS__BODY` The feature id for the 'Body' containment reference
`static int` `LOOP_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `LOOP_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `LOOP_EXP_CS__SOURCE` The feature id for the 'Source' containment reference
`static int` `LOOP_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `LOOP_EXP_CS__VARIABLE1` The feature id for the 'Variable1' containment reference
`static int` `LOOP_EXP_CS__VARIABLE2` The feature id for the 'Variable2' containment reference
`static int` `LOOP_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Loop Exp CS' class
`static int` `MESSAGE_EXP_CS` The meta object id for the '`Message Exp CS`' class
`static int` `MESSAGE_EXP_CS__ARGUMENTS` The feature id for the 'Arguments' containment reference list
`static int` `MESSAGE_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `MESSAGE_EXP_CS__KIND` The feature id for the 'Kind' attribute
`static int` `MESSAGE_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `MESSAGE_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `MESSAGE_EXP_CS__TARGET` The feature id for the 'Target' containment reference
`static int` `MESSAGE_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Message Exp CS' class
`static int` `MESSAGE_EXP_KIND` The meta object id for the '`Message Exp Kind`' enum
`static int` `NULL_LITERAL_EXP_CS` The meta object id for the '`Null Literal Exp CS`' class
`static int` `NULL_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `NULL_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `NULL_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `NULL_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Null Literal Exp CS' class
`static int` `OCL_EXPRESSION_CS` The meta object id for the '`OCL Expression CS`' class
`static int` `OCL_EXPRESSION_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `OCL_EXPRESSION_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `OCL_EXPRESSION_CS_FEATURE_COUNT` The number of structural features of the 'OCL Expression CS' class
`static int` `OCL_MESSAGE_ARG_CS` The meta object id for the '`OCL Message Arg CS`' class
`static int` `OCL_MESSAGE_ARG_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `OCL_MESSAGE_ARG_CS__EXPRESSION` The feature id for the 'Expression' containment reference
`static int` `OCL_MESSAGE_ARG_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `OCL_MESSAGE_ARG_CS__TYPE_CS` The feature id for the 'Type CS' containment reference
`static int` `OCL_MESSAGE_ARG_CS_FEATURE_COUNT` The number of structural features of the 'OCL Message Arg CS' class
`static int` `OPERATION_CALL_EXP_CS` The meta object id for the '`Operation Call Exp CS`' class
`static int` `OPERATION_CALL_EXP_CS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `OPERATION_CALL_EXP_CS__ARGUMENTS` The feature id for the 'Arguments' containment reference list
`static int` `OPERATION_CALL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `OPERATION_CALL_EXP_CS__IS_MARKED_PRE_CS` The feature id for the 'Is Marked Pre CS' containment reference
`static int` `OPERATION_CALL_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `OPERATION_CALL_EXP_CS__SOURCE` The feature id for the 'Source' containment reference
`static int` `OPERATION_CALL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `OPERATION_CALL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Operation Call Exp CS' class
`static int` `OPERATION_CONTEXT_DECL_CS` The meta object id for the '`Operation Context Decl CS`' class
`static int` `OPERATION_CONTEXT_DECL_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `OPERATION_CONTEXT_DECL_CS__OPERATION_CS` The feature id for the 'Operation CS' containment reference
`static int` `OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS` The feature id for the 'Pre Post Or Body Decls' containment reference list
`static int` `OPERATION_CONTEXT_DECL_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `OPERATION_CONTEXT_DECL_CS_FEATURE_COUNT` The number of structural features of the 'Operation Context Decl CS' class
`static int` `OPERATION_CS` The meta object id for the '`Operation CS`' class
`static int` `OPERATION_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `OPERATION_CS__PARAMETERS` The feature id for the 'Parameters' containment reference list
`static int` `OPERATION_CS__PATH_NAME_CS` The feature id for the 'Path Name CS' containment reference
`static int` `OPERATION_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `OPERATION_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `OPERATION_CS__TYPE_CS` The feature id for the 'Type CS' containment reference
`static int` `OPERATION_CS_FEATURE_COUNT` The number of structural features of the 'Operation CS' class
`static int` `PACKAGE_DECLARATION_CS` The meta object id for the '`Package Declaration CS`' class
`static int` `PACKAGE_DECLARATION_CS__CONTEXT_DECLS` The feature id for the 'Context Decls' containment reference list
`static int` `PACKAGE_DECLARATION_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS` The feature id for the 'Package Declaration CS' reference
`static int` `PACKAGE_DECLARATION_CS__PATH_NAME_CS` The feature id for the 'Path Name CS' containment reference
`static int` `PACKAGE_DECLARATION_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `PACKAGE_DECLARATION_CS_FEATURE_COUNT` The number of structural features of the 'Package Declaration CS' class
`static int` `PATH_NAME_CS` The meta object id for the '`Path Name CS`' class
`static int` `PATH_NAME_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `PATH_NAME_CS__SEQUENCE_OF_NAMES` The feature id for the 'Sequence Of Names' attribute list
`static int` `PATH_NAME_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `PATH_NAME_CS_FEATURE_COUNT` The number of structural features of the 'Path Name CS' class
`static int` `PRE_POST_OR_BODY_DECL_CS` The meta object id for the '`Pre Post Or Body Decl CS`' class
`static int` `PRE_POST_OR_BODY_DECL_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS` The feature id for the 'Expression CS' containment reference
`static int` `PRE_POST_OR_BODY_DECL_CS__KIND` The feature id for the 'Kind' attribute
`static int` `PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `PRE_POST_OR_BODY_DECL_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `PRE_POST_OR_BODY_DECL_CS_FEATURE_COUNT` The number of structural features of the 'Pre Post Or Body Decl CS' class
`static int` `PRE_POST_OR_BODY_ENUM` The meta object id for the '`Pre Post Or Body Enum`' enum
`static int` `PRIMITIVE_LITERAL_EXP_CS` The meta object id for the '`Primitive Literal Exp CS`' class
`static int` `PRIMITIVE_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `PRIMITIVE_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `PRIMITIVE_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `PRIMITIVE_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Primitive Literal Exp CS' class
`static int` `PRIMITIVE_TYPE_CS` The meta object id for the '`Primitive Type CS`' class
`static int` `PRIMITIVE_TYPE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `PRIMITIVE_TYPE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `PRIMITIVE_TYPE_CS__TYPE` The feature id for the 'Type' attribute
`static int` `PRIMITIVE_TYPE_CS__VALUE` The feature id for the 'Value' attribute
`static int` `PRIMITIVE_TYPE_CS_FEATURE_COUNT` The number of structural features of the 'Primitive Type CS' class
`static int` `PROPERTY_CONTEXT_CS` The meta object id for the '`Property Context CS`' class
`static int` `PROPERTY_CONTEXT_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS` The feature id for the 'Init Or Der Value CS' containment reference
`static int` `PROPERTY_CONTEXT_CS__PATH_NAME_CS` The feature id for the 'Path Name CS' containment reference
`static int` `PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `PROPERTY_CONTEXT_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `PROPERTY_CONTEXT_CS__TYPE_CS` The feature id for the 'Type CS' containment reference
`static int` `PROPERTY_CONTEXT_CS_FEATURE_COUNT` The number of structural features of the 'Property Context CS' class
`static int` `REAL_LITERAL_EXP_CS` The meta object id for the '`Real Literal Exp CS`' class
`static int` `REAL_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `REAL_LITERAL_EXP_CS__REAL_SYMBOL` The feature id for the 'Real Symbol' attribute
`static int` `REAL_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `REAL_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `REAL_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Real Literal Exp CS' class
`static int` `SIMPLE_NAME_CS` The meta object id for the '`Simple Name CS`' class
`static int` `SIMPLE_NAME_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `SIMPLE_NAME_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `SIMPLE_NAME_CS__TYPE` The feature id for the 'Type' attribute
`static int` `SIMPLE_NAME_CS__VALUE` The feature id for the 'Value' attribute
`static int` `SIMPLE_NAME_CS_FEATURE_COUNT` The number of structural features of the 'Simple Name CS' class
`static int` `SIMPLE_TYPE_ENUM` The meta object id for the '`Simple Type Enum`' enum
`static int` `STATE_EXP_CS` The meta object id for the '`State Exp CS`' class
`static int` `STATE_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `STATE_EXP_CS__SEQUENCE_OF_NAMES` The feature id for the 'Sequence Of Names' attribute list
`static int` `STATE_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `STATE_EXP_CS_FEATURE_COUNT` The number of structural features of the 'State Exp CS' class
`static int` `STRING_LITERAL_EXP_CS` The meta object id for the '`String Literal Exp CS`' class
`static int` `STRING_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `STRING_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `STRING_LITERAL_EXP_CS__STRING_SYMBOL` The feature id for the 'String Symbol' attribute
`static int` `STRING_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `STRING_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'String Literal Exp CS' class
`static int` `TUPLE_LITERAL_EXP_CS` The meta object id for the '`Tuple Literal Exp CS`' class
`static int` `TUPLE_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `TUPLE_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `TUPLE_LITERAL_EXP_CS__VARIABLES` The feature id for the 'Variables' containment reference list
`static int` `TUPLE_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Tuple Literal Exp CS' class
`static int` `TUPLE_TYPE_CS` The meta object id for the '`Tuple Type CS`' class
`static int` `TUPLE_TYPE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `TUPLE_TYPE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `TUPLE_TYPE_CS__VARIABLES` The feature id for the 'Variables' containment reference list
`static int` `TUPLE_TYPE_CS_FEATURE_COUNT` The number of structural features of the 'Tuple Type CS' class
`static int` `TYPE_CS` The meta object id for the '`Type CS`' class
`static int` `TYPE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `TYPE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `TYPE_CS_FEATURE_COUNT` The number of structural features of the 'Type CS' class
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_CS` The meta object id for the '`Unlimited Natural Literal Exp CS`' class
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL` The feature id for the 'Integer Symbol' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_CS__SYMBOL` The feature id for the 'Symbol' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Unlimited Natural Literal Exp CS' class
`static int` `VARIABLE_CS` The meta object id for the '`Variable CS`' class
`static int` `VARIABLE_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `VARIABLE_CS__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference
`static int` `VARIABLE_CS__NAME` The feature id for the 'Name' attribute
`static int` `VARIABLE_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `VARIABLE_CS__TYPE_CS` The feature id for the 'Type CS' containment reference
`static int` `VARIABLE_CS_FEATURE_COUNT` The number of structural features of the 'Variable CS' class
`static int` `VARIABLE_EXP_CS` The meta object id for the '`Variable Exp CS`' class
`static int` `VARIABLE_EXP_CS__ARGUMENTS` The feature id for the 'Arguments' containment reference list
`static int` `VARIABLE_EXP_CS__END_OFFSET` The feature id for the 'End Offset' attribute
`static int` `VARIABLE_EXP_CS__IS_MARKED_PRE_CS` The feature id for the 'Is Marked Pre CS' containment reference
`static int` `VARIABLE_EXP_CS__SIMPLE_NAME_CS` The feature id for the 'Simple Name CS' containment reference
`static int` `VARIABLE_EXP_CS__START_OFFSET` The feature id for the 'Start Offset' attribute
`static int` `VARIABLE_EXP_CS_FEATURE_COUNT` The number of structural features of the 'Variable Exp CS' class

Method Summary
`EAttribute` `getBooleanLiteralExpCS_BooleanSymbol()` Returns the meta object for the attribute '`Boolean Symbol`'
`EClass` `getBooleanLiteralExpCS()` Returns the meta object for class '`Boolean Literal Exp CS`'
`EAttribute` `getCallExpCS_Accessor()` Returns the meta object for the attribute '`Accessor`'
`EReference` `getCallExpCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EReference` `getCallExpCS_Source()` Returns the meta object for the containment reference '`Source`'
`EClass` `getCallExpCS()` Returns the meta object for class '`Call Exp CS`'
`EReference` `getClassifierContextDeclCS_InvOrDefCS()` Returns the meta object for the containment reference '`Inv Or Def CS`'
`EReference` `getClassifierContextDeclCS_PathNameCS()` Returns the meta object for the containment reference '`Path Name CS`'
`EClass` `getClassifierContextDeclCS()` Returns the meta object for class '`Classifier Context Decl CS`'
`EReference` `getCollectionLiteralExpCS_CollectionLiteralParts()` Returns the meta object for the containment reference list '`Collection Literal Parts`'
`EAttribute` `getCollectionLiteralExpCS_CollectionType()` Returns the meta object for the attribute '`Collection Type`'
`EClass` `getCollectionLiteralExpCS()` Returns the meta object for class '`Collection Literal Exp CS`'
`EReference` `getCollectionLiteralPartCS_ExpressionCS()` Returns the meta object for the containment reference '`Expression CS`'
`EClass` `getCollectionLiteralPartCS()` Returns the meta object for class '`Collection Literal Part CS`'
`EReference` `getCollectionRangeCS_LastExpressionCS()` Returns the meta object for the containment reference '`Last Expression CS`'
`EClass` `getCollectionRangeCS()` Returns the meta object for class '`Collection Range CS`'
`EAttribute` `getCollectionTypeCS_CollectionTypeIdentifier()` Returns the meta object for the attribute '`Collection Type Identifier`'
`EReference` `getCollectionTypeCS_TypeCS()` Returns the meta object for the containment reference '`Type CS`'
`EClass` `getCollectionTypeCS()` Returns the meta object for class '`Collection Type CS`'
`EEnum` `getCollectionTypeIdentifierEnum()` Returns the meta object for enum '`Collection Type Identifier Enum`'
`EClass` `getContextDeclCS()` Returns the meta object for class '`Context Decl CS`'
`CSTFactory` `getCSTFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getCSTNode_EndOffset()` Returns the meta object for the attribute '`End Offset`'
`EAttribute` `getCSTNode_StartOffset()` Returns the meta object for the attribute '`Start Offset`'
`EClass` `getCSTNode()` Returns the meta object for class '`Node`'
`EReference` `getDefCS_DefExpressionCS()` Returns the meta object for the containment reference '`Def Expression CS`'
`EClass` `getDefCS()` Returns the meta object for class '`Def CS`'
`EReference` `getDefExpressionCS_ExpressionCS()` Returns the meta object for the containment reference '`Expression CS`'
`EReference` `getDefExpressionCS_OperationCS()` Returns the meta object for the containment reference '`Operation CS`'
`EReference` `getDefExpressionCS_VariableCS()` Returns the meta object for the containment reference '`Variable CS`'
`EClass` `getDefExpressionCS()` Returns the meta object for class '`Def Expression CS`'
`EClass` `getDerValueCS()` Returns the meta object for class '`Der Value CS`'
`EEnum` `getDotOrArrowEnum()` Returns the meta object for enum '`Dot Or Arrow Enum`'
`EReference` `getEnumLiteralExpCS_PathNameCS()` Returns the meta object for the containment reference '`Path Name CS`'
`EReference` `getEnumLiteralExpCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EClass` `getEnumLiteralExpCS()` Returns the meta object for class '`Enum Literal Exp CS`'
`EReference` `getFeatureCallExpCS_Arguments()` Returns the meta object for the containment reference list '`Arguments`'
`EReference` `getFeatureCallExpCS_IsMarkedPreCS()` Returns the meta object for the containment reference '`Is Marked Pre CS`'
`EClass` `getFeatureCallExpCS()` Returns the meta object for class '`Feature Call Exp CS`'
`EReference` `getIfExpCS_Condition()` Returns the meta object for the containment reference '`Condition`'
`EReference` `getIfExpCS_ElseExpression()` Returns the meta object for the containment reference '`Else Expression`'
`EReference` `getIfExpCS_ThenExpression()` Returns the meta object for the containment reference '`Then Expression`'
`EClass` `getIfExpCS()` Returns the meta object for class '`If Exp CS`'
`EReference` `getInitOrDerValueCS_ExpressionCS()` Returns the meta object for the containment reference '`Expression CS`'
`EReference` `getInitOrDerValueCS_InitOrDerValueCS()` Returns the meta object for the containment reference '`Init Or Der Value CS`'
`EClass` `getInitOrDerValueCS()` Returns the meta object for class '`Init Or Der Value CS`'
`EClass` `getInitValueCS()` Returns the meta object for class '`Init Value CS`'
`EAttribute` `getIntegerLiteralExpCS_IntegerSymbol()` Returns the meta object for the attribute '`Integer Symbol`'
`EClass` `getIntegerLiteralExpCS()` Returns the meta object for class '`Integer Literal Exp CS`'
`EAttribute` `getInvalidLiteralExpCS_Symbol()` Returns the meta object for the attribute '`Symbol`'
`EClass` `getInvalidLiteralExpCS()` Returns the meta object for class '`Invalid Literal Exp CS`'
`EReference` `getInvCS_ExpressionCS()` Returns the meta object for the containment reference '`Expression CS`'
`EClass` `getInvCS()` Returns the meta object for class '`Inv CS`'
`EReference` `getInvOrDefCS_InvOrDefCS()` Returns the meta object for the reference '`Inv Or Def CS`'
`EReference` `getInvOrDefCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EClass` `getInvOrDefCS()` Returns the meta object for class '`Inv Or Def CS`'
`EAttribute` `getIsMarkedPreCS_Pre()` Returns the meta object for the attribute '`Pre`'
`EClass` `getIsMarkedPreCS()` Returns the meta object for class '`Is Marked Pre CS`'
`EClass` `getIterateExpCS()` Returns the meta object for class '`Iterate Exp CS`'
`EClass` `getIteratorExpCS()` Returns the meta object for class '`Iterator Exp CS`'
`EReference` `getLetExpCS_InExpression()` Returns the meta object for the containment reference '`In Expression`'
`EReference` `getLetExpCS_Variables()` Returns the meta object for the containment reference list '`Variables`'
`EClass` `getLetExpCS()` Returns the meta object for class '`Let Exp CS`'
`EClass` `getLiteralExpCS()` Returns the meta object for class '`Literal Exp CS`'
`EReference` `getLoopExpCS_Body()` Returns the meta object for the containment reference '`Body`'
`EReference` `getLoopExpCS_Variable1()` Returns the meta object for the containment reference '`Variable1`'
`EReference` `getLoopExpCS_Variable2()` Returns the meta object for the containment reference '`Variable2`'
`EClass` `getLoopExpCS()` Returns the meta object for class '`Loop Exp CS`'
`EReference` `getMessageExpCS_Arguments()` Returns the meta object for the containment reference list '`Arguments`'
`EAttribute` `getMessageExpCS_Kind()` Returns the meta object for the attribute '`Kind`'
`EReference` `getMessageExpCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EReference` `getMessageExpCS_Target()` Returns the meta object for the containment reference '`Target`'
`EClass` `getMessageExpCS()` Returns the meta object for class '`Message Exp CS`'
`EEnum` `getMessageExpKind()` Returns the meta object for enum '`Message Exp Kind`'
`EAttribute` `getNullLiteralExpCS_Symbol()` Returns the meta object for the attribute '`Symbol`'
`EClass` `getNullLiteralExpCS()` Returns the meta object for class '`Null Literal Exp CS`'
`EClass` `getOCLExpressionCS()` Returns the meta object for class '`OCL Expression CS`'
`EReference` `getOCLMessageArgCS_Expression()` Returns the meta object for the containment reference '`Expression`'
`EReference` `getOCLMessageArgCS_TypeCS()` Returns the meta object for the containment reference '`Type CS`'
`EClass` `getOCLMessageArgCS()` Returns the meta object for class '`OCL Message Arg CS`'
`EClass` `getOperationCallExpCS()` Returns the meta object for class '`Operation Call Exp CS`'
`EReference` `getOperationContextDeclCS_OperationCS()` Returns the meta object for the containment reference '`Operation CS`'
`EReference` `getOperationContextDeclCS_PrePostOrBodyDecls()` Returns the meta object for the containment reference list '`Pre Post Or Body Decls`'
`EClass` `getOperationContextDeclCS()` Returns the meta object for class '`Operation Context Decl CS`'
`EReference` `getOperationCS_Parameters()` Returns the meta object for the containment reference list '`Parameters`'
`EReference` `getOperationCS_PathNameCS()` Returns the meta object for the containment reference '`Path Name CS`'
`EReference` `getOperationCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EReference` `getOperationCS_TypeCS()` Returns the meta object for the containment reference '`Type CS`'
`EClass` `getOperationCS()` Returns the meta object for class '`Operation CS`'
`EReference` `getPackageDeclarationCS_ContextDecls()` Returns the meta object for the containment reference list '`Context Decls`'
`EReference` `getPackageDeclarationCS_PackageDeclarationCS()` Returns the meta object for the reference '`Package Declaration CS`'
`EReference` `getPackageDeclarationCS_PathNameCS()` Returns the meta object for the containment reference '`Path Name CS`'
`EClass` `getPackageDeclarationCS()` Returns the meta object for class '`Package Declaration CS`'
`EAttribute` `getPathNameCS_SequenceOfNames()` Returns the meta object for the attribute list '`Sequence Of Names`'
`EClass` `getPathNameCS()` Returns the meta object for class '`Path Name CS`'
`EReference` `getPrePostOrBodyDeclCS_ExpressionCS()` Returns the meta object for the containment reference '`Expression CS`'
`EAttribute` `getPrePostOrBodyDeclCS_Kind()` Returns the meta object for the attribute '`Kind`'
`EReference` `getPrePostOrBodyDeclCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EClass` `getPrePostOrBodyDeclCS()` Returns the meta object for class '`Pre Post Or Body Decl CS`'
`EEnum` `getPrePostOrBodyEnum()` Returns the meta object for enum '`Pre Post Or Body Enum`'
`EAttribute` `getPrimitiveLiteralExpCS_Symbol()` Returns the meta object for the attribute '`Symbol`'
`EClass` `getPrimitiveLiteralExpCS()` Returns the meta object for class '`Primitive Literal Exp CS`'
`EClass` `getPrimitiveTypeCS()` Returns the meta object for class '`Primitive Type CS`'
`EReference` `getPropertyContextCS_InitOrDerValueCS()` Returns the meta object for the containment reference '`Init Or Der Value CS`'
`EReference` `getPropertyContextCS_PathNameCS()` Returns the meta object for the containment reference '`Path Name CS`'
`EReference` `getPropertyContextCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EReference` `getPropertyContextCS_TypeCS()` Returns the meta object for the containment reference '`Type CS`'
`EClass` `getPropertyContextCS()` Returns the meta object for class '`Property Context CS`'
`EAttribute` `getRealLiteralExpCS_RealSymbol()` Returns the meta object for the attribute '`Real Symbol`'
`EClass` `getRealLiteralExpCS()` Returns the meta object for class '`Real Literal Exp CS`'
`EAttribute` `getSimpleNameCS_Type()` Returns the meta object for the attribute '`Type`'
`EAttribute` `getSimpleNameCS_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getSimpleNameCS()` Returns the meta object for class '`Simple Name CS`'
`EEnum` `getSimpleTypeEnum()` Returns the meta object for enum '`Simple Type Enum`'
`EAttribute` `getStateExpCS_SequenceOfNames()` Returns the meta object for the attribute list '`Sequence Of Names`'
`EClass` `getStateExpCS()` Returns the meta object for class '`State Exp CS`'
`EAttribute` `getStringLiteralExpCS_StringSymbol()` Returns the meta object for the attribute '`String Symbol`'
`EClass` `getStringLiteralExpCS()` Returns the meta object for class '`String Literal Exp CS`'
`EReference` `getTupleLiteralExpCS_Variables()` Returns the meta object for the containment reference list '`Variables`'
`EClass` `getTupleLiteralExpCS()` Returns the meta object for class '`Tuple Literal Exp CS`'
`EReference` `getTupleTypeCS_Variables()` Returns the meta object for the containment reference list '`Variables`'
`EClass` `getTupleTypeCS()` Returns the meta object for class '`Tuple Type CS`'
`EClass` `getTypeCS()` Returns the meta object for class '`Type CS`'
`EAttribute` `getUnlimitedNaturalLiteralExpCS_IntegerSymbol()` Returns the meta object for the attribute '`Integer Symbol`'
`EClass` `getUnlimitedNaturalLiteralExpCS()` Returns the meta object for class '`Unlimited Natural Literal Exp CS`'
`EReference` `getVariableCS_InitExpression()` Returns the meta object for the containment reference '`Init Expression`'
`EAttribute` `getVariableCS_Name()` Returns the meta object for the attribute '`Name`'
`EReference` `getVariableCS_TypeCS()` Returns the meta object for the containment reference '`Type CS`'
`EClass` `getVariableCS()` Returns the meta object for class '`Variable CS`'
`EReference` `getVariableExpCS_Arguments()` Returns the meta object for the containment reference list '`Arguments`'
`EReference` `getVariableExpCS_IsMarkedPreCS()` Returns the meta object for the containment reference '`Is Marked Pre CS`'
`EReference` `getVariableExpCS_SimpleNameCS()` Returns the meta object for the containment reference '`Simple Name CS`'
`EClass` `getVariableExpCS()` Returns the meta object for class '`Variable Exp CS`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final CSTPackage eINSTANCE

  The singleton instance of the package.

### CST_NODE

    static final int CST_NODE

  The meta object id for the '`Node`' class.

  See Also:
    `CSTNodeImpl`, `CSTPackageImpl.getCSTNode()`, Constant Field Values

### CST_NODE__START_OFFSET

    static final int CST_NODE__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### CST_NODE__END_OFFSET

    static final int CST_NODE__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### CST_NODE_FEATURE_COUNT

    static final int CST_NODE_FEATURE_COUNT

  The number of structural features of the 'Node' class.

  See Also:
    Constant Field Values

### PACKAGE_DECLARATION_CS

    static final int PACKAGE_DECLARATION_CS

  The meta object id for the '`Package Declaration CS`' class.

  See Also:
    `PackageDeclarationCSImpl`, `CSTPackageImpl.getPackageDeclarationCS()`, Constant Field Values

### PACKAGE_DECLARATION_CS__START_OFFSET

    static final int PACKAGE_DECLARATION_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### PACKAGE_DECLARATION_CS__END_OFFSET

    static final int PACKAGE_DECLARATION_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### PACKAGE_DECLARATION_CS__PATH_NAME_CS

    static final int PACKAGE_DECLARATION_CS__PATH_NAME_CS

  The feature id for the 'Path Name CS' containment reference.

  See Also:
    Constant Field Values

### PACKAGE_DECLARATION_CS__CONTEXT_DECLS

    static final int PACKAGE_DECLARATION_CS__CONTEXT_DECLS

  The feature id for the 'Context Decls' containment reference list.

  See Also:
    Constant Field Values

### PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS

    static final int PACKAGE_DECLARATION_CS__PACKAGE_DECLARATION_CS

  The feature id for the 'Package Declaration CS' reference.

  See Also:
    Constant Field Values

### PACKAGE_DECLARATION_CS_FEATURE_COUNT

    static final int PACKAGE_DECLARATION_CS_FEATURE_COUNT

  The number of structural features of the 'Package Declaration CS' class.

  See Also:
    Constant Field Values

### OCL_EXPRESSION_CS

    static final int OCL_EXPRESSION_CS

  The meta object id for the '`OCL Expression CS`' class.

  See Also:
    `OCLExpressionCSImpl`, `CSTPackageImpl.getOCLExpressionCS()`, Constant Field Values

### OCL_EXPRESSION_CS__START_OFFSET

    static final int OCL_EXPRESSION_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION_CS__END_OFFSET

    static final int OCL_EXPRESSION_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION_CS_FEATURE_COUNT

    static final int OCL_EXPRESSION_CS_FEATURE_COUNT

  The number of structural features of the 'OCL Expression CS' class.

  See Also:
    Constant Field Values

### TYPE_CS

    static final int TYPE_CS

  The meta object id for the '`Type CS`' class.

  See Also:
    `TypeCSImpl`, `CSTPackageImpl.getTypeCS()`, Constant Field Values

### TYPE_CS__START_OFFSET

    static final int TYPE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### TYPE_CS__END_OFFSET

    static final int TYPE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### TYPE_CS_FEATURE_COUNT

    static final int TYPE_CS_FEATURE_COUNT

  The number of structural features of the 'Type CS' class.

  See Also:
    Constant Field Values

### PATH_NAME_CS

    static final int PATH_NAME_CS

  The meta object id for the '`Path Name CS`' class.

  See Also:
    `PathNameCSImpl`, `CSTPackageImpl.getPathNameCS()`, Constant Field Values

### PATH_NAME_CS__START_OFFSET

    static final int PATH_NAME_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### PATH_NAME_CS__END_OFFSET

    static final int PATH_NAME_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### PATH_NAME_CS__SEQUENCE_OF_NAMES

    static final int PATH_NAME_CS__SEQUENCE_OF_NAMES

  The feature id for the 'Sequence Of Names' attribute list.

  See Also:
    Constant Field Values

### PATH_NAME_CS_FEATURE_COUNT

    static final int PATH_NAME_CS_FEATURE_COUNT

  The number of structural features of the 'Path Name CS' class.

  See Also:
    Constant Field Values

### CONTEXT_DECL_CS

    static final int CONTEXT_DECL_CS

  The meta object id for the '`Context Decl CS`' class.

  See Also:
    `ContextDeclCSImpl`, `CSTPackageImpl.getContextDeclCS()`, Constant Field Values

### CONTEXT_DECL_CS__START_OFFSET

    static final int CONTEXT_DECL_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### CONTEXT_DECL_CS__END_OFFSET

    static final int CONTEXT_DECL_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### CONTEXT_DECL_CS_FEATURE_COUNT

    static final int CONTEXT_DECL_CS_FEATURE_COUNT

  The number of structural features of the 'Context Decl CS' class.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS

    static final int PROPERTY_CONTEXT_CS

  The meta object id for the '`Property Context CS`' class.

  See Also:
    `PropertyContextCSImpl`, `CSTPackageImpl.getPropertyContextCS()`, Constant Field Values

### PROPERTY_CONTEXT_CS__START_OFFSET

    static final int PROPERTY_CONTEXT_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS__END_OFFSET

    static final int PROPERTY_CONTEXT_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS__PATH_NAME_CS

    static final int PROPERTY_CONTEXT_CS__PATH_NAME_CS

  The feature id for the 'Path Name CS' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS

    static final int PROPERTY_CONTEXT_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS__TYPE_CS

    static final int PROPERTY_CONTEXT_CS__TYPE_CS

  The feature id for the 'Type CS' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS

    static final int PROPERTY_CONTEXT_CS__INIT_OR_DER_VALUE_CS

  The feature id for the 'Init Or Der Value CS' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CONTEXT_CS_FEATURE_COUNT

    static final int PROPERTY_CONTEXT_CS_FEATURE_COUNT

  The number of structural features of the 'Property Context CS' class.

  See Also:
    Constant Field Values

### SIMPLE_NAME_CS

    static final int SIMPLE_NAME_CS

  The meta object id for the '`Simple Name CS`' class.

  See Also:
    `SimpleNameCSImpl`, `CSTPackageImpl.getSimpleNameCS()`, Constant Field Values

### SIMPLE_NAME_CS__START_OFFSET

    static final int SIMPLE_NAME_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### SIMPLE_NAME_CS__END_OFFSET

    static final int SIMPLE_NAME_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### SIMPLE_NAME_CS__VALUE

    static final int SIMPLE_NAME_CS__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### SIMPLE_NAME_CS__TYPE

    static final int SIMPLE_NAME_CS__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### SIMPLE_NAME_CS_FEATURE_COUNT

    static final int SIMPLE_NAME_CS_FEATURE_COUNT

  The number of structural features of the 'Simple Name CS' class.

  See Also:
    Constant Field Values

### INIT_OR_DER_VALUE_CS

    static final int INIT_OR_DER_VALUE_CS

  The meta object id for the '`Init Or Der Value CS`' class.

  See Also:
    `InitOrDerValueCSImpl`, `CSTPackageImpl.getInitOrDerValueCS()`, Constant Field Values

### INIT_OR_DER_VALUE_CS__START_OFFSET

    static final int INIT_OR_DER_VALUE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### INIT_OR_DER_VALUE_CS__END_OFFSET

    static final int INIT_OR_DER_VALUE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS

    static final int INIT_OR_DER_VALUE_CS__INIT_OR_DER_VALUE_CS

  The feature id for the 'Init Or Der Value CS' containment reference.

  See Also:
    Constant Field Values

### INIT_OR_DER_VALUE_CS__EXPRESSION_CS

    static final int INIT_OR_DER_VALUE_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### INIT_OR_DER_VALUE_CS_FEATURE_COUNT

    static final int INIT_OR_DER_VALUE_CS_FEATURE_COUNT

  The number of structural features of the 'Init Or Der Value CS' class.

  See Also:
    Constant Field Values

### CLASSIFIER_CONTEXT_DECL_CS

    static final int CLASSIFIER_CONTEXT_DECL_CS

  The meta object id for the '`Classifier Context Decl CS`' class.

  See Also:
    `ClassifierContextDeclCSImpl`, `CSTPackageImpl.getClassifierContextDeclCS()`, Constant Field Values

### CLASSIFIER_CONTEXT_DECL_CS__START_OFFSET

    static final int CLASSIFIER_CONTEXT_DECL_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### CLASSIFIER_CONTEXT_DECL_CS__END_OFFSET

    static final int CLASSIFIER_CONTEXT_DECL_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS

    static final int CLASSIFIER_CONTEXT_DECL_CS__PATH_NAME_CS

  The feature id for the 'Path Name CS' containment reference.

  See Also:
    Constant Field Values

### CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS

    static final int CLASSIFIER_CONTEXT_DECL_CS__INV_OR_DEF_CS

  The feature id for the 'Inv Or Def CS' containment reference.

  See Also:
    Constant Field Values

### CLASSIFIER_CONTEXT_DECL_CS_FEATURE_COUNT

    static final int CLASSIFIER_CONTEXT_DECL_CS_FEATURE_COUNT

  The number of structural features of the 'Classifier Context Decl CS' class.

  See Also:
    Constant Field Values

### INV_OR_DEF_CS

    static final int INV_OR_DEF_CS

  The meta object id for the '`Inv Or Def CS`' class.

  See Also:
    `InvOrDefCSImpl`, `CSTPackageImpl.getInvOrDefCS()`, Constant Field Values

### INV_OR_DEF_CS__START_OFFSET

    static final int INV_OR_DEF_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### INV_OR_DEF_CS__END_OFFSET

    static final int INV_OR_DEF_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### INV_OR_DEF_CS__SIMPLE_NAME_CS

    static final int INV_OR_DEF_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### INV_OR_DEF_CS__INV_OR_DEF_CS

    static final int INV_OR_DEF_CS__INV_OR_DEF_CS

  The feature id for the 'Inv Or Def CS' reference.

  See Also:
    Constant Field Values

### INV_OR_DEF_CS_FEATURE_COUNT

    static final int INV_OR_DEF_CS_FEATURE_COUNT

  The number of structural features of the 'Inv Or Def CS' class.

  See Also:
    Constant Field Values

### OPERATION_CONTEXT_DECL_CS

    static final int OPERATION_CONTEXT_DECL_CS

  The meta object id for the '`Operation Context Decl CS`' class.

  See Also:
    `OperationContextDeclCSImpl`, `CSTPackageImpl.getOperationContextDeclCS()`, Constant Field Values

### OPERATION_CONTEXT_DECL_CS__START_OFFSET

    static final int OPERATION_CONTEXT_DECL_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### OPERATION_CONTEXT_DECL_CS__END_OFFSET

    static final int OPERATION_CONTEXT_DECL_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### OPERATION_CONTEXT_DECL_CS__OPERATION_CS

    static final int OPERATION_CONTEXT_DECL_CS__OPERATION_CS

  The feature id for the 'Operation CS' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS

    static final int OPERATION_CONTEXT_DECL_CS__PRE_POST_OR_BODY_DECLS

  The feature id for the 'Pre Post Or Body Decls' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_CONTEXT_DECL_CS_FEATURE_COUNT

    static final int OPERATION_CONTEXT_DECL_CS_FEATURE_COUNT

  The number of structural features of the 'Operation Context Decl CS' class.

  See Also:
    Constant Field Values

### OPERATION_CS

    static final int OPERATION_CS

  The meta object id for the '`Operation CS`' class.

  See Also:
    `OperationCSImpl`, `CSTPackageImpl.getOperationCS()`, Constant Field Values

### OPERATION_CS__START_OFFSET

    static final int OPERATION_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### OPERATION_CS__END_OFFSET

    static final int OPERATION_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### OPERATION_CS__PATH_NAME_CS

    static final int OPERATION_CS__PATH_NAME_CS

  The feature id for the 'Path Name CS' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CS__SIMPLE_NAME_CS

    static final int OPERATION_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CS__PARAMETERS

    static final int OPERATION_CS__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_CS__TYPE_CS

    static final int OPERATION_CS__TYPE_CS

  The feature id for the 'Type CS' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CS_FEATURE_COUNT

    static final int OPERATION_CS_FEATURE_COUNT

  The number of structural features of the 'Operation CS' class.

  See Also:
    Constant Field Values

### VARIABLE_CS

    static final int VARIABLE_CS

  The meta object id for the '`Variable CS`' class.

  See Also:
    `VariableCSImpl`, `CSTPackageImpl.getVariableCS()`, Constant Field Values

### VARIABLE_CS__START_OFFSET

    static final int VARIABLE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### VARIABLE_CS__END_OFFSET

    static final int VARIABLE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### VARIABLE_CS__NAME

    static final int VARIABLE_CS__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VARIABLE_CS__TYPE_CS

    static final int VARIABLE_CS__TYPE_CS

  The feature id for the 'Type CS' containment reference.

  See Also:
    Constant Field Values

### VARIABLE_CS__INIT_EXPRESSION

    static final int VARIABLE_CS__INIT_EXPRESSION

  The feature id for the 'Init Expression' containment reference.

  See Also:
    Constant Field Values

### VARIABLE_CS_FEATURE_COUNT

    static final int VARIABLE_CS_FEATURE_COUNT

  The number of structural features of the 'Variable CS' class.

  See Also:
    Constant Field Values

### PRE_POST_OR_BODY_DECL_CS

    static final int PRE_POST_OR_BODY_DECL_CS

  The meta object id for the '`Pre Post Or Body Decl CS`' class.

  See Also:
    `PrePostOrBodyDeclCSImpl`, `CSTPackageImpl.getPrePostOrBodyDeclCS()`, Constant Field Values

### PRE_POST_OR_BODY_DECL_CS__START_OFFSET

    static final int PRE_POST_OR_BODY_DECL_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### PRE_POST_OR_BODY_DECL_CS__END_OFFSET

    static final int PRE_POST_OR_BODY_DECL_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### PRE_POST_OR_BODY_DECL_CS__KIND

    static final int PRE_POST_OR_BODY_DECL_CS__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS

    static final int PRE_POST_OR_BODY_DECL_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS

    static final int PRE_POST_OR_BODY_DECL_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### PRE_POST_OR_BODY_DECL_CS_FEATURE_COUNT

    static final int PRE_POST_OR_BODY_DECL_CS_FEATURE_COUNT

  The number of structural features of the 'Pre Post Or Body Decl CS' class.

  See Also:
    Constant Field Values

### DER_VALUE_CS

    static final int DER_VALUE_CS

  The meta object id for the '`Der Value CS`' class.

  See Also:
    `DerValueCSImpl`, `CSTPackageImpl.getDerValueCS()`, Constant Field Values

### DER_VALUE_CS__START_OFFSET

    static final int DER_VALUE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### DER_VALUE_CS__END_OFFSET

    static final int DER_VALUE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### DER_VALUE_CS__INIT_OR_DER_VALUE_CS

    static final int DER_VALUE_CS__INIT_OR_DER_VALUE_CS

  The feature id for the 'Init Or Der Value CS' containment reference.

  See Also:
    Constant Field Values

### DER_VALUE_CS__EXPRESSION_CS

    static final int DER_VALUE_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### DER_VALUE_CS_FEATURE_COUNT

    static final int DER_VALUE_CS_FEATURE_COUNT

  The number of structural features of the 'Der Value CS' class.

  See Also:
    Constant Field Values

### INIT_VALUE_CS

    static final int INIT_VALUE_CS

  The meta object id for the '`Init Value CS`' class.

  See Also:
    `InitValueCSImpl`, `CSTPackageImpl.getInitValueCS()`, Constant Field Values

### INIT_VALUE_CS__START_OFFSET

    static final int INIT_VALUE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### INIT_VALUE_CS__END_OFFSET

    static final int INIT_VALUE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### INIT_VALUE_CS__INIT_OR_DER_VALUE_CS

    static final int INIT_VALUE_CS__INIT_OR_DER_VALUE_CS

  The feature id for the 'Init Or Der Value CS' containment reference.

  See Also:
    Constant Field Values

### INIT_VALUE_CS__EXPRESSION_CS

    static final int INIT_VALUE_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### INIT_VALUE_CS_FEATURE_COUNT

    static final int INIT_VALUE_CS_FEATURE_COUNT

  The number of structural features of the 'Init Value CS' class.

  See Also:
    Constant Field Values

### INV_CS

    static final int INV_CS

  The meta object id for the '`Inv CS`' class.

  See Also:
    `InvCSImpl`, `CSTPackageImpl.getInvCS()`, Constant Field Values

### INV_CS__START_OFFSET

    static final int INV_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### INV_CS__END_OFFSET

    static final int INV_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### INV_CS__SIMPLE_NAME_CS

    static final int INV_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### INV_CS__INV_OR_DEF_CS

    static final int INV_CS__INV_OR_DEF_CS

  The feature id for the 'Inv Or Def CS' reference.

  See Also:
    Constant Field Values

### INV_CS__EXPRESSION_CS

    static final int INV_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### INV_CS_FEATURE_COUNT

    static final int INV_CS_FEATURE_COUNT

  The number of structural features of the 'Inv CS' class.

  See Also:
    Constant Field Values

### DEF_CS

    static final int DEF_CS

  The meta object id for the '`Def CS`' class.

  See Also:
    `DefCSImpl`, `CSTPackageImpl.getDefCS()`, Constant Field Values

### DEF_CS__START_OFFSET

    static final int DEF_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### DEF_CS__END_OFFSET

    static final int DEF_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### DEF_CS__SIMPLE_NAME_CS

    static final int DEF_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### DEF_CS__INV_OR_DEF_CS

    static final int DEF_CS__INV_OR_DEF_CS

  The feature id for the 'Inv Or Def CS' reference.

  See Also:
    Constant Field Values

### DEF_CS__DEF_EXPRESSION_CS

    static final int DEF_CS__DEF_EXPRESSION_CS

  The feature id for the 'Def Expression CS' containment reference.

  See Also:
    Constant Field Values

### DEF_CS_FEATURE_COUNT

    static final int DEF_CS_FEATURE_COUNT

  The number of structural features of the 'Def CS' class.

  See Also:
    Constant Field Values

### DEF_EXPRESSION_CS

    static final int DEF_EXPRESSION_CS

  The meta object id for the '`Def Expression CS`' class.

  See Also:
    `DefExpressionCSImpl`, `CSTPackageImpl.getDefExpressionCS()`, Constant Field Values

### DEF_EXPRESSION_CS__START_OFFSET

    static final int DEF_EXPRESSION_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### DEF_EXPRESSION_CS__END_OFFSET

    static final int DEF_EXPRESSION_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### DEF_EXPRESSION_CS__OPERATION_CS

    static final int DEF_EXPRESSION_CS__OPERATION_CS

  The feature id for the 'Operation CS' containment reference.

  See Also:
    Constant Field Values

### DEF_EXPRESSION_CS__VARIABLE_CS

    static final int DEF_EXPRESSION_CS__VARIABLE_CS

  The feature id for the 'Variable CS' containment reference.

  See Also:
    Constant Field Values

### DEF_EXPRESSION_CS__EXPRESSION_CS

    static final int DEF_EXPRESSION_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### DEF_EXPRESSION_CS_FEATURE_COUNT

    static final int DEF_EXPRESSION_CS_FEATURE_COUNT

  The number of structural features of the 'Def Expression CS' class.

  See Also:
    Constant Field Values

### VARIABLE_EXP_CS

    static final int VARIABLE_EXP_CS

  The meta object id for the '`Variable Exp CS`' class.

  See Also:
    `VariableExpCSImpl`, `CSTPackageImpl.getVariableExpCS()`, Constant Field Values

### VARIABLE_EXP_CS__START_OFFSET

    static final int VARIABLE_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP_CS__END_OFFSET

    static final int VARIABLE_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP_CS__ARGUMENTS

    static final int VARIABLE_EXP_CS__ARGUMENTS

  The feature id for the 'Arguments' containment reference list.

  See Also:
    Constant Field Values

### VARIABLE_EXP_CS__SIMPLE_NAME_CS

    static final int VARIABLE_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### VARIABLE_EXP_CS__IS_MARKED_PRE_CS

    static final int VARIABLE_EXP_CS__IS_MARKED_PRE_CS

  The feature id for the 'Is Marked Pre CS' containment reference.

  See Also:
    Constant Field Values

### VARIABLE_EXP_CS_FEATURE_COUNT

    static final int VARIABLE_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Variable Exp CS' class.

  See Also:
    Constant Field Values

### IS_MARKED_PRE_CS

    static final int IS_MARKED_PRE_CS

  The meta object id for the '`Is Marked Pre CS`' class.

  See Also:
    `IsMarkedPreCSImpl`, `CSTPackageImpl.getIsMarkedPreCS()`, Constant Field Values

### IS_MARKED_PRE_CS__START_OFFSET

    static final int IS_MARKED_PRE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### IS_MARKED_PRE_CS__END_OFFSET

    static final int IS_MARKED_PRE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### IS_MARKED_PRE_CS__PRE

    static final int IS_MARKED_PRE_CS__PRE

  The feature id for the 'Pre' attribute.

  See Also:
    Constant Field Values

### IS_MARKED_PRE_CS_FEATURE_COUNT

    static final int IS_MARKED_PRE_CS_FEATURE_COUNT

  The number of structural features of the 'Is Marked Pre CS' class.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_CS

    static final int PRIMITIVE_TYPE_CS

  The meta object id for the '`Primitive Type CS`' class.

  See Also:
    `PrimitiveTypeCSImpl`, `CSTPackageImpl.getPrimitiveTypeCS()`, Constant Field Values

### PRIMITIVE_TYPE_CS__START_OFFSET

    static final int PRIMITIVE_TYPE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_CS__END_OFFSET

    static final int PRIMITIVE_TYPE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_CS__VALUE

    static final int PRIMITIVE_TYPE_CS__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_CS__TYPE

    static final int PRIMITIVE_TYPE_CS__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_CS_FEATURE_COUNT

    static final int PRIMITIVE_TYPE_CS_FEATURE_COUNT

  The number of structural features of the 'Primitive Type CS' class.

  See Also:
    Constant Field Values

### TUPLE_TYPE_CS

    static final int TUPLE_TYPE_CS

  The meta object id for the '`Tuple Type CS`' class.

  See Also:
    `TupleTypeCSImpl`, `CSTPackageImpl.getTupleTypeCS()`, Constant Field Values

### TUPLE_TYPE_CS__START_OFFSET

    static final int TUPLE_TYPE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE_CS__END_OFFSET

    static final int TUPLE_TYPE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE_CS__VARIABLES

    static final int TUPLE_TYPE_CS__VARIABLES

  The feature id for the 'Variables' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE_CS_FEATURE_COUNT

    static final int TUPLE_TYPE_CS_FEATURE_COUNT

  The number of structural features of the 'Tuple Type CS' class.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_CS

    static final int COLLECTION_TYPE_CS

  The meta object id for the '`Collection Type CS`' class.

  See Also:
    `CollectionTypeCSImpl`, `CSTPackageImpl.getCollectionTypeCS()`, Constant Field Values

### COLLECTION_TYPE_CS__START_OFFSET

    static final int COLLECTION_TYPE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_CS__END_OFFSET

    static final int COLLECTION_TYPE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER

    static final int COLLECTION_TYPE_CS__COLLECTION_TYPE_IDENTIFIER

  The feature id for the 'Collection Type Identifier' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_CS__TYPE_CS

    static final int COLLECTION_TYPE_CS__TYPE_CS

  The feature id for the 'Type CS' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_CS_FEATURE_COUNT

    static final int COLLECTION_TYPE_CS_FEATURE_COUNT

  The number of structural features of the 'Collection Type CS' class.

  See Also:
    Constant Field Values

### LET_EXP_CS

    static final int LET_EXP_CS

  The meta object id for the '`Let Exp CS`' class.

  See Also:
    `LetExpCSImpl`, `CSTPackageImpl.getLetExpCS()`, Constant Field Values

### LET_EXP_CS__START_OFFSET

    static final int LET_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### LET_EXP_CS__END_OFFSET

    static final int LET_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### LET_EXP_CS__VARIABLES

    static final int LET_EXP_CS__VARIABLES

  The feature id for the 'Variables' containment reference list.

  See Also:
    Constant Field Values

### LET_EXP_CS__IN_EXPRESSION

    static final int LET_EXP_CS__IN_EXPRESSION

  The feature id for the 'In Expression' containment reference.

  See Also:
    Constant Field Values

### LET_EXP_CS_FEATURE_COUNT

    static final int LET_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Let Exp CS' class.

  See Also:
    Constant Field Values

### IF_EXP_CS

    static final int IF_EXP_CS

  The meta object id for the '`If Exp CS`' class.

  See Also:
    `IfExpCSImpl`, `CSTPackageImpl.getIfExpCS()`, Constant Field Values

### IF_EXP_CS__START_OFFSET

    static final int IF_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### IF_EXP_CS__END_OFFSET

    static final int IF_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### IF_EXP_CS__THEN_EXPRESSION

    static final int IF_EXP_CS__THEN_EXPRESSION

  The feature id for the 'Then Expression' containment reference.

  See Also:
    Constant Field Values

### IF_EXP_CS__ELSE_EXPRESSION

    static final int IF_EXP_CS__ELSE_EXPRESSION

  The feature id for the 'Else Expression' containment reference.

  See Also:
    Constant Field Values

### IF_EXP_CS__CONDITION

    static final int IF_EXP_CS__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### IF_EXP_CS_FEATURE_COUNT

    static final int IF_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'If Exp CS' class.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS

    static final int MESSAGE_EXP_CS

  The meta object id for the '`Message Exp CS`' class.

  See Also:
    `MessageExpCSImpl`, `CSTPackageImpl.getMessageExpCS()`, Constant Field Values

### MESSAGE_EXP_CS__START_OFFSET

    static final int MESSAGE_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS__END_OFFSET

    static final int MESSAGE_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS__TARGET

    static final int MESSAGE_EXP_CS__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS__KIND

    static final int MESSAGE_EXP_CS__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS__SIMPLE_NAME_CS

    static final int MESSAGE_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS__ARGUMENTS

    static final int MESSAGE_EXP_CS__ARGUMENTS

  The feature id for the 'Arguments' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_EXP_CS_FEATURE_COUNT

    static final int MESSAGE_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Message Exp CS' class.

  See Also:
    Constant Field Values

### OCL_MESSAGE_ARG_CS

    static final int OCL_MESSAGE_ARG_CS

  The meta object id for the '`OCL Message Arg CS`' class.

  See Also:
    `OCLMessageArgCSImpl`, `CSTPackageImpl.getOCLMessageArgCS()`, Constant Field Values

### OCL_MESSAGE_ARG_CS__START_OFFSET

    static final int OCL_MESSAGE_ARG_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### OCL_MESSAGE_ARG_CS__END_OFFSET

    static final int OCL_MESSAGE_ARG_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### OCL_MESSAGE_ARG_CS__TYPE_CS

    static final int OCL_MESSAGE_ARG_CS__TYPE_CS

  The feature id for the 'Type CS' containment reference.

  See Also:
    Constant Field Values

### OCL_MESSAGE_ARG_CS__EXPRESSION

    static final int OCL_MESSAGE_ARG_CS__EXPRESSION

  The feature id for the 'Expression' containment reference.

  See Also:
    Constant Field Values

### OCL_MESSAGE_ARG_CS_FEATURE_COUNT

    static final int OCL_MESSAGE_ARG_CS_FEATURE_COUNT

  The number of structural features of the 'OCL Message Arg CS' class.

  See Also:
    Constant Field Values

### LITERAL_EXP_CS

    static final int LITERAL_EXP_CS

  The meta object id for the '`Literal Exp CS`' class.

  See Also:
    `LiteralExpCSImpl`, `CSTPackageImpl.getLiteralExpCS()`, Constant Field Values

### LITERAL_EXP_CS__START_OFFSET

    static final int LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP_CS__END_OFFSET

    static final int LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP_CS_FEATURE_COUNT

    static final int LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Literal Exp CS' class.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_CS

    static final int ENUM_LITERAL_EXP_CS

  The meta object id for the '`Enum Literal Exp CS`' class.

  See Also:
    `EnumLiteralExpCSImpl`, `CSTPackageImpl.getEnumLiteralExpCS()`, Constant Field Values

### ENUM_LITERAL_EXP_CS__START_OFFSET

    static final int ENUM_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_CS__END_OFFSET

    static final int ENUM_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_CS__PATH_NAME_CS

    static final int ENUM_LITERAL_EXP_CS__PATH_NAME_CS

  The feature id for the 'Path Name CS' containment reference.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS

    static final int ENUM_LITERAL_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_CS_FEATURE_COUNT

    static final int ENUM_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Enum Literal Exp CS' class.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_CS

    static final int COLLECTION_LITERAL_EXP_CS

  The meta object id for the '`Collection Literal Exp CS`' class.

  See Also:
    `CollectionLiteralExpCSImpl`, `CSTPackageImpl.getCollectionLiteralExpCS()`, Constant Field Values

### COLLECTION_LITERAL_EXP_CS__START_OFFSET

    static final int COLLECTION_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_CS__END_OFFSET

    static final int COLLECTION_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE

    static final int COLLECTION_LITERAL_EXP_CS__COLLECTION_TYPE

  The feature id for the 'Collection Type' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS

    static final int COLLECTION_LITERAL_EXP_CS__COLLECTION_LITERAL_PARTS

  The feature id for the 'Collection Literal Parts' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_CS_FEATURE_COUNT

    static final int COLLECTION_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Collection Literal Exp CS' class.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART_CS

    static final int COLLECTION_LITERAL_PART_CS

  The meta object id for the '`Collection Literal Part CS`' class.

  See Also:
    `CollectionLiteralPartCSImpl`, `CSTPackageImpl.getCollectionLiteralPartCS()`, Constant Field Values

### COLLECTION_LITERAL_PART_CS__START_OFFSET

    static final int COLLECTION_LITERAL_PART_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART_CS__END_OFFSET

    static final int COLLECTION_LITERAL_PART_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART_CS__EXPRESSION_CS

    static final int COLLECTION_LITERAL_PART_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART_CS_FEATURE_COUNT

    static final int COLLECTION_LITERAL_PART_CS_FEATURE_COUNT

  The number of structural features of the 'Collection Literal Part CS' class.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP_CS

    static final int TUPLE_LITERAL_EXP_CS

  The meta object id for the '`Tuple Literal Exp CS`' class.

  See Also:
    `TupleLiteralExpCSImpl`, `CSTPackageImpl.getTupleLiteralExpCS()`, Constant Field Values

### TUPLE_LITERAL_EXP_CS__START_OFFSET

    static final int TUPLE_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP_CS__END_OFFSET

    static final int TUPLE_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP_CS__VARIABLES

    static final int TUPLE_LITERAL_EXP_CS__VARIABLES

  The feature id for the 'Variables' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP_CS_FEATURE_COUNT

    static final int TUPLE_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Tuple Literal Exp CS' class.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP_CS

    static final int PRIMITIVE_LITERAL_EXP_CS

  The meta object id for the '`Primitive Literal Exp CS`' class.

  See Also:
    `PrimitiveLiteralExpCSImpl`, `CSTPackageImpl.getPrimitiveLiteralExpCS()`, Constant Field Values

### PRIMITIVE_LITERAL_EXP_CS__START_OFFSET

    static final int PRIMITIVE_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP_CS__END_OFFSET

    static final int PRIMITIVE_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP_CS__SYMBOL

    static final int PRIMITIVE_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP_CS_FEATURE_COUNT

    static final int PRIMITIVE_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Primitive Literal Exp CS' class.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_CS

    static final int INTEGER_LITERAL_EXP_CS

  The meta object id for the '`Integer Literal Exp CS`' class.

  See Also:
    `IntegerLiteralExpCSImpl`, `CSTPackageImpl.getIntegerLiteralExpCS()`, Constant Field Values

### INTEGER_LITERAL_EXP_CS__START_OFFSET

    static final int INTEGER_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_CS__END_OFFSET

    static final int INTEGER_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_CS__SYMBOL

    static final int INTEGER_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL

    static final int INTEGER_LITERAL_EXP_CS__INTEGER_SYMBOL

  The feature id for the 'Integer Symbol' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_CS_FEATURE_COUNT

    static final int INTEGER_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Integer Literal Exp CS' class.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_CS

    static final int UNLIMITED_NATURAL_LITERAL_EXP_CS

  The meta object id for the '`Unlimited Natural Literal Exp CS`' class.

  See Also:
    `UnlimitedNaturalLiteralExpCSImpl`, `CSTPackageImpl.getUnlimitedNaturalLiteralExpCS()`, Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_CS__START_OFFSET

    static final int UNLIMITED_NATURAL_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_CS__END_OFFSET

    static final int UNLIMITED_NATURAL_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_CS__SYMBOL

    static final int UNLIMITED_NATURAL_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL

    static final int UNLIMITED_NATURAL_LITERAL_EXP_CS__INTEGER_SYMBOL

  The feature id for the 'Integer Symbol' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_CS_FEATURE_COUNT

    static final int UNLIMITED_NATURAL_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Unlimited Natural Literal Exp CS' class.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_CS

    static final int REAL_LITERAL_EXP_CS

  The meta object id for the '`Real Literal Exp CS`' class.

  See Also:
    `RealLiteralExpCSImpl`, `CSTPackageImpl.getRealLiteralExpCS()`, Constant Field Values

### REAL_LITERAL_EXP_CS__START_OFFSET

    static final int REAL_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_CS__END_OFFSET

    static final int REAL_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_CS__SYMBOL

    static final int REAL_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_CS__REAL_SYMBOL

    static final int REAL_LITERAL_EXP_CS__REAL_SYMBOL

  The feature id for the 'Real Symbol' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_CS_FEATURE_COUNT

    static final int REAL_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Real Literal Exp CS' class.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_CS

    static final int STRING_LITERAL_EXP_CS

  The meta object id for the '`String Literal Exp CS`' class.

  See Also:
    `StringLiteralExpCSImpl`, `CSTPackageImpl.getStringLiteralExpCS()`, Constant Field Values

### STRING_LITERAL_EXP_CS__START_OFFSET

    static final int STRING_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_CS__END_OFFSET

    static final int STRING_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_CS__SYMBOL

    static final int STRING_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_CS__STRING_SYMBOL

    static final int STRING_LITERAL_EXP_CS__STRING_SYMBOL

  The feature id for the 'String Symbol' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_CS_FEATURE_COUNT

    static final int STRING_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'String Literal Exp CS' class.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_CS

    static final int BOOLEAN_LITERAL_EXP_CS

  The meta object id for the '`Boolean Literal Exp CS`' class.

  See Also:
    `BooleanLiteralExpCSImpl`, `CSTPackageImpl.getBooleanLiteralExpCS()`, Constant Field Values

### BOOLEAN_LITERAL_EXP_CS__START_OFFSET

    static final int BOOLEAN_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_CS__END_OFFSET

    static final int BOOLEAN_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_CS__SYMBOL

    static final int BOOLEAN_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL

    static final int BOOLEAN_LITERAL_EXP_CS__BOOLEAN_SYMBOL

  The feature id for the 'Boolean Symbol' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_CS_FEATURE_COUNT

    static final int BOOLEAN_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Boolean Literal Exp CS' class.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP_CS

    static final int NULL_LITERAL_EXP_CS

  The meta object id for the '`Null Literal Exp CS`' class.

  See Also:
    `NullLiteralExpCSImpl`, `CSTPackageImpl.getNullLiteralExpCS()`, Constant Field Values

### NULL_LITERAL_EXP_CS__START_OFFSET

    static final int NULL_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP_CS__END_OFFSET

    static final int NULL_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP_CS__SYMBOL

    static final int NULL_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP_CS_FEATURE_COUNT

    static final int NULL_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Null Literal Exp CS' class.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP_CS

    static final int INVALID_LITERAL_EXP_CS

  The meta object id for the '`Invalid Literal Exp CS`' class.

  See Also:
    `InvalidLiteralExpCSImpl`, `CSTPackageImpl.getInvalidLiteralExpCS()`, Constant Field Values

### INVALID_LITERAL_EXP_CS__START_OFFSET

    static final int INVALID_LITERAL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP_CS__END_OFFSET

    static final int INVALID_LITERAL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP_CS__SYMBOL

    static final int INVALID_LITERAL_EXP_CS__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP_CS_FEATURE_COUNT

    static final int INVALID_LITERAL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Invalid Literal Exp CS' class.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_CS

    static final int COLLECTION_RANGE_CS

  The meta object id for the '`Collection Range CS`' class.

  See Also:
    `CollectionRangeCSImpl`, `CSTPackageImpl.getCollectionRangeCS()`, Constant Field Values

### COLLECTION_RANGE_CS__START_OFFSET

    static final int COLLECTION_RANGE_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_CS__END_OFFSET

    static final int COLLECTION_RANGE_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_CS__EXPRESSION_CS

    static final int COLLECTION_RANGE_CS__EXPRESSION_CS

  The feature id for the 'Expression CS' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_CS__LAST_EXPRESSION_CS

    static final int COLLECTION_RANGE_CS__LAST_EXPRESSION_CS

  The feature id for the 'Last Expression CS' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_CS_FEATURE_COUNT

    static final int COLLECTION_RANGE_CS_FEATURE_COUNT

  The number of structural features of the 'Collection Range CS' class.

  See Also:
    Constant Field Values

### CALL_EXP_CS

    static final int CALL_EXP_CS

  The meta object id for the '`Call Exp CS`' class.

  See Also:
    `CallExpCSImpl`, `CSTPackageImpl.getCallExpCS()`, Constant Field Values

### CALL_EXP_CS__START_OFFSET

    static final int CALL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### CALL_EXP_CS__END_OFFSET

    static final int CALL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### CALL_EXP_CS__SOURCE

    static final int CALL_EXP_CS__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### CALL_EXP_CS__ACCESSOR

    static final int CALL_EXP_CS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values

### CALL_EXP_CS__SIMPLE_NAME_CS

    static final int CALL_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### CALL_EXP_CS_FEATURE_COUNT

    static final int CALL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Call Exp CS' class.

  See Also:
    Constant Field Values

### LOOP_EXP_CS

    static final int LOOP_EXP_CS

  The meta object id for the '`Loop Exp CS`' class.

  See Also:
    `LoopExpCSImpl`, `CSTPackageImpl.getLoopExpCS()`, Constant Field Values

### LOOP_EXP_CS__START_OFFSET

    static final int LOOP_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__END_OFFSET

    static final int LOOP_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__SOURCE

    static final int LOOP_EXP_CS__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__ACCESSOR

    static final int LOOP_EXP_CS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__SIMPLE_NAME_CS

    static final int LOOP_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__VARIABLE1

    static final int LOOP_EXP_CS__VARIABLE1

  The feature id for the 'Variable1' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__VARIABLE2

    static final int LOOP_EXP_CS__VARIABLE2

  The feature id for the 'Variable2' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP_CS__BODY

    static final int LOOP_EXP_CS__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP_CS_FEATURE_COUNT

    static final int LOOP_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Loop Exp CS' class.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS

    static final int ITERATOR_EXP_CS

  The meta object id for the '`Iterator Exp CS`' class.

  See Also:
    `IteratorExpCSImpl`, `CSTPackageImpl.getIteratorExpCS()`, Constant Field Values

### ITERATOR_EXP_CS__START_OFFSET

    static final int ITERATOR_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__END_OFFSET

    static final int ITERATOR_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__SOURCE

    static final int ITERATOR_EXP_CS__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__ACCESSOR

    static final int ITERATOR_EXP_CS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__SIMPLE_NAME_CS

    static final int ITERATOR_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__VARIABLE1

    static final int ITERATOR_EXP_CS__VARIABLE1

  The feature id for the 'Variable1' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__VARIABLE2

    static final int ITERATOR_EXP_CS__VARIABLE2

  The feature id for the 'Variable2' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS__BODY

    static final int ITERATOR_EXP_CS__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP_CS_FEATURE_COUNT

    static final int ITERATOR_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Iterator Exp CS' class.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS

    static final int ITERATE_EXP_CS

  The meta object id for the '`Iterate Exp CS`' class.

  See Also:
    `IterateExpCSImpl`, `CSTPackageImpl.getIterateExpCS()`, Constant Field Values

### ITERATE_EXP_CS__START_OFFSET

    static final int ITERATE_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__END_OFFSET

    static final int ITERATE_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__SOURCE

    static final int ITERATE_EXP_CS__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__ACCESSOR

    static final int ITERATE_EXP_CS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__SIMPLE_NAME_CS

    static final int ITERATE_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__VARIABLE1

    static final int ITERATE_EXP_CS__VARIABLE1

  The feature id for the 'Variable1' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__VARIABLE2

    static final int ITERATE_EXP_CS__VARIABLE2

  The feature id for the 'Variable2' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS__BODY

    static final int ITERATE_EXP_CS__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_CS_FEATURE_COUNT

    static final int ITERATE_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Iterate Exp CS' class.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS

    static final int FEATURE_CALL_EXP_CS

  The meta object id for the '`Feature Call Exp CS`' class.

  See Also:
    `FeatureCallExpCSImpl`, `CSTPackageImpl.getFeatureCallExpCS()`, Constant Field Values

### FEATURE_CALL_EXP_CS__START_OFFSET

    static final int FEATURE_CALL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS__END_OFFSET

    static final int FEATURE_CALL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS__SOURCE

    static final int FEATURE_CALL_EXP_CS__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS__ACCESSOR

    static final int FEATURE_CALL_EXP_CS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS__SIMPLE_NAME_CS

    static final int FEATURE_CALL_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS__ARGUMENTS

    static final int FEATURE_CALL_EXP_CS__ARGUMENTS

  The feature id for the 'Arguments' containment reference list.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS

    static final int FEATURE_CALL_EXP_CS__IS_MARKED_PRE_CS

  The feature id for the 'Is Marked Pre CS' containment reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_CS_FEATURE_COUNT

    static final int FEATURE_CALL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Feature Call Exp CS' class.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS

    static final int OPERATION_CALL_EXP_CS

  The meta object id for the '`Operation Call Exp CS`' class.

  See Also:
    `OperationCallExpCSImpl`, `CSTPackageImpl.getOperationCallExpCS()`, Constant Field Values

### OPERATION_CALL_EXP_CS__START_OFFSET

    static final int OPERATION_CALL_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS__END_OFFSET

    static final int OPERATION_CALL_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS__SOURCE

    static final int OPERATION_CALL_EXP_CS__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS__ACCESSOR

    static final int OPERATION_CALL_EXP_CS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS__SIMPLE_NAME_CS

    static final int OPERATION_CALL_EXP_CS__SIMPLE_NAME_CS

  The feature id for the 'Simple Name CS' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS__ARGUMENTS

    static final int OPERATION_CALL_EXP_CS__ARGUMENTS

  The feature id for the 'Arguments' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS__IS_MARKED_PRE_CS

    static final int OPERATION_CALL_EXP_CS__IS_MARKED_PRE_CS

  The feature id for the 'Is Marked Pre CS' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_CS_FEATURE_COUNT

    static final int OPERATION_CALL_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'Operation Call Exp CS' class.

  See Also:
    Constant Field Values

### STATE_EXP_CS

    static final int STATE_EXP_CS

  The meta object id for the '`State Exp CS`' class.

  See Also:
    `StateExpCSImpl`, `CSTPackageImpl.getStateExpCS()`, Constant Field Values

### STATE_EXP_CS__START_OFFSET

    static final int STATE_EXP_CS__START_OFFSET

  The feature id for the 'Start Offset' attribute.

  See Also:
    Constant Field Values

### STATE_EXP_CS__END_OFFSET

    static final int STATE_EXP_CS__END_OFFSET

  The feature id for the 'End Offset' attribute.

  See Also:
    Constant Field Values

### STATE_EXP_CS__SEQUENCE_OF_NAMES

    static final int STATE_EXP_CS__SEQUENCE_OF_NAMES

  The feature id for the 'Sequence Of Names' attribute list.

  See Also:
    Constant Field Values

### STATE_EXP_CS_FEATURE_COUNT

    static final int STATE_EXP_CS_FEATURE_COUNT

  The number of structural features of the 'State Exp CS' class.

  See Also:
    Constant Field Values

### SIMPLE_TYPE_ENUM

    static final int SIMPLE_TYPE_ENUM

  The meta object id for the '`Simple Type Enum`' enum.

  See Also:
    `SimpleTypeEnum`, `CSTPackageImpl.getSimpleTypeEnum()`, Constant Field Values

### PRE_POST_OR_BODY_ENUM

    static final int PRE_POST_OR_BODY_ENUM

  The meta object id for the '`Pre Post Or Body Enum`' enum.

  See Also:
    `PrePostOrBodyEnum`, `CSTPackageImpl.getPrePostOrBodyEnum()`, Constant Field Values

### COLLECTION_TYPE_IDENTIFIER_ENUM

    static final int COLLECTION_TYPE_IDENTIFIER_ENUM

  The meta object id for the '`Collection Type Identifier Enum`' enum.

  See Also:
    `CollectionTypeIdentifierEnum`, `CSTPackageImpl.getCollectionTypeIdentifierEnum()`, Constant Field Values

### MESSAGE_EXP_KIND

    static final int MESSAGE_EXP_KIND

  The meta object id for the '`Message Exp Kind`' enum.

  See Also:
    `MessageExpKind`, `CSTPackageImpl.getMessageExpKind()`, Constant Field Values

### DOT_OR_ARROW_ENUM

    static final int DOT_OR_ARROW_ENUM

  The meta object id for the '`Dot Or Arrow Enum`' enum.

  See Also:
    `DotOrArrowEnum`, `CSTPackageImpl.getDotOrArrowEnum()`, Constant Field Values

Method Detail

### getCSTNode

    EClass getCSTNode()

  Returns the meta object for class '`Node`'.

  Returns:
    the meta object for class 'Node'.
  See Also:
    `CSTNode`

### getCSTNode_StartOffset

    EAttribute getCSTNode_StartOffset()

  Returns the meta object for the attribute '`Start Offset`'.

  Returns:
    the meta object for the attribute 'Start Offset'.
  See Also:
    `CSTNode.getStartOffset()`, `getCSTNode()`

### getCSTNode_EndOffset

    EAttribute getCSTNode_EndOffset()

  Returns the meta object for the attribute '`End Offset`'.

  Returns:
    the meta object for the attribute 'End Offset'.
  See Also:
    `CSTNode.getEndOffset()`, `getCSTNode()`

### getPackageDeclarationCS

    EClass getPackageDeclarationCS()

  Returns the meta object for class '`Package Declaration CS`'.

  Returns:
    the meta object for class 'Package Declaration CS'.
  See Also:
    `PackageDeclarationCS`

### getPackageDeclarationCS_PathNameCS

    EReference getPackageDeclarationCS_PathNameCS()

  Returns the meta object for the containment reference '`Path Name CS`'.

  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `PackageDeclarationCS.getPathNameCS()`, `getPackageDeclarationCS()`

### getPackageDeclarationCS_ContextDecls

    EReference getPackageDeclarationCS_ContextDecls()

  Returns the meta object for the containment reference list '`Context Decls`'.

  Returns:
    the meta object for the containment reference list 'Context Decls'.
  See Also:
    `PackageDeclarationCS.getContextDecls()`, `getPackageDeclarationCS()`

### getPackageDeclarationCS_PackageDeclarationCS

    EReference getPackageDeclarationCS_PackageDeclarationCS()

  Returns the meta object for the reference '`Package Declaration CS`'.

  Returns:
    the meta object for the reference 'Package Declaration CS'.
  See Also:
    `PackageDeclarationCS.getPackageDeclarationCS()`, `getPackageDeclarationCS()`

### getPathNameCS

    EClass getPathNameCS()

  Returns the meta object for class '`Path Name CS`'.

  Returns:
    the meta object for class 'Path Name CS'.
  See Also:
    `PathNameCS`

### getPathNameCS_SequenceOfNames

    EAttribute getPathNameCS_SequenceOfNames()

  Returns the meta object for the attribute list '`Sequence Of Names`'.

  Returns:
    the meta object for the attribute list 'Sequence Of Names'.
  See Also:
    `PathNameCS.getSequenceOfNames()`, `getPathNameCS()`

### getTypeCS

    EClass getTypeCS()

  Returns the meta object for class '`Type CS`'.

  Returns:
    the meta object for class 'Type CS'.
  See Also:
    `TypeCS`

### getOCLExpressionCS

    EClass getOCLExpressionCS()

  Returns the meta object for class '`OCL Expression CS`'.

  Returns:
    the meta object for class 'OCL Expression CS'.
  See Also:
    `OCLExpressionCS`

### getContextDeclCS

    EClass getContextDeclCS()

  Returns the meta object for class '`Context Decl CS`'.

  Returns:
    the meta object for class 'Context Decl CS'.
  See Also:
    `ContextDeclCS`

### getPropertyContextCS

    EClass getPropertyContextCS()

  Returns the meta object for class '`Property Context CS`'.

  Returns:
    the meta object for class 'Property Context CS'.
  See Also:
    `PropertyContextCS`

### getPropertyContextCS_PathNameCS

    EReference getPropertyContextCS_PathNameCS()

  Returns the meta object for the containment reference '`Path Name CS`'.

  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `PropertyContextCS.getPathNameCS()`, `getPropertyContextCS()`

### getPropertyContextCS_SimpleNameCS

    EReference getPropertyContextCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `PropertyContextCS.getSimpleNameCS()`, `getPropertyContextCS()`

### getPropertyContextCS_TypeCS

    EReference getPropertyContextCS_TypeCS()

  Returns the meta object for the containment reference '`Type CS`'.

  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `PropertyContextCS.getTypeCS()`, `getPropertyContextCS()`

### getPropertyContextCS_InitOrDerValueCS

    EReference getPropertyContextCS_InitOrDerValueCS()

  Returns the meta object for the containment reference '`Init Or Der Value CS`'.

  Returns:
    the meta object for the containment reference 'Init Or Der Value CS'.
  See Also:
    `PropertyContextCS.getInitOrDerValueCS()`, `getPropertyContextCS()`

### getSimpleNameCS

    EClass getSimpleNameCS()

  Returns the meta object for class '`Simple Name CS`'.

  Returns:
    the meta object for class 'Simple Name CS'.
  See Also:
    `SimpleNameCS`

### getSimpleNameCS_Value

    EAttribute getSimpleNameCS_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SimpleNameCS.getValue()`, `getSimpleNameCS()`

### getSimpleNameCS_Type

    EAttribute getSimpleNameCS_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `SimpleNameCS.getType()`, `getSimpleNameCS()`

### getInitOrDerValueCS

    EClass getInitOrDerValueCS()

  Returns the meta object for class '`Init Or Der Value CS`'.

  Returns:
    the meta object for class 'Init Or Der Value CS'.
  See Also:
    `InitOrDerValueCS`

### getInitOrDerValueCS_InitOrDerValueCS

    EReference getInitOrDerValueCS_InitOrDerValueCS()

  Returns the meta object for the containment reference '`Init Or Der Value CS`'.

  Returns:
    the meta object for the containment reference 'Init Or Der Value CS'.
  See Also:
    `InitOrDerValueCS.getInitOrDerValueCS()`, `getInitOrDerValueCS()`

### getInitOrDerValueCS_ExpressionCS

    EReference getInitOrDerValueCS_ExpressionCS()

  Returns the meta object for the containment reference '`Expression CS`'.

  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `InitOrDerValueCS.getExpressionCS()`, `getInitOrDerValueCS()`

### getClassifierContextDeclCS

    EClass getClassifierContextDeclCS()

  Returns the meta object for class '`Classifier Context Decl CS`'.

  Returns:
    the meta object for class 'Classifier Context Decl CS'.
  See Also:
    `ClassifierContextDeclCS`

### getClassifierContextDeclCS_PathNameCS

    EReference getClassifierContextDeclCS_PathNameCS()

  Returns the meta object for the containment reference '`Path Name CS`'.

  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `ClassifierContextDeclCS.getPathNameCS()`, `getClassifierContextDeclCS()`

### getClassifierContextDeclCS_InvOrDefCS

    EReference getClassifierContextDeclCS_InvOrDefCS()

  Returns the meta object for the containment reference '`Inv Or Def CS`'.

  Returns:
    the meta object for the containment reference 'Inv Or Def CS'.
  See Also:
    `ClassifierContextDeclCS.getInvOrDefCS()`, `getClassifierContextDeclCS()`

### getInvOrDefCS

    EClass getInvOrDefCS()

  Returns the meta object for class '`Inv Or Def CS`'.

  Returns:
    the meta object for class 'Inv Or Def CS'.
  See Also:
    `InvOrDefCS`

### getInvOrDefCS_SimpleNameCS

    EReference getInvOrDefCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `InvOrDefCS.getSimpleNameCS()`, `getInvOrDefCS()`

### getInvOrDefCS_InvOrDefCS

    EReference getInvOrDefCS_InvOrDefCS()

  Returns the meta object for the reference '`Inv Or Def CS`'.

  Returns:
    the meta object for the reference 'Inv Or Def CS'.
  See Also:
    `InvOrDefCS.getInvOrDefCS()`, `getInvOrDefCS()`

### getOperationContextDeclCS

    EClass getOperationContextDeclCS()

  Returns the meta object for class '`Operation Context Decl CS`'.

  Returns:
    the meta object for class 'Operation Context Decl CS'.
  See Also:
    `OperationContextDeclCS`

### getOperationContextDeclCS_OperationCS

    EReference getOperationContextDeclCS_OperationCS()

  Returns the meta object for the containment reference '`Operation CS`'.

  Returns:
    the meta object for the containment reference 'Operation CS'.
  See Also:
    `OperationContextDeclCS.getOperationCS()`, `getOperationContextDeclCS()`

### getOperationContextDeclCS_PrePostOrBodyDecls

    EReference getOperationContextDeclCS_PrePostOrBodyDecls()

  Returns the meta object for the containment reference list '`Pre Post Or Body Decls`'.

  Returns:
    the meta object for the containment reference list 'Pre Post Or Body Decls'.
  See Also:
    `OperationContextDeclCS.getPrePostOrBodyDecls()`, `getOperationContextDeclCS()`

### getOperationCS

    EClass getOperationCS()

  Returns the meta object for class '`Operation CS`'.

  Returns:
    the meta object for class 'Operation CS'.
  See Also:
    `OperationCS`

### getOperationCS_PathNameCS

    EReference getOperationCS_PathNameCS()

  Returns the meta object for the containment reference '`Path Name CS`'.

  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `OperationCS.getPathNameCS()`, `getOperationCS()`

### getOperationCS_SimpleNameCS

    EReference getOperationCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `OperationCS.getSimpleNameCS()`, `getOperationCS()`

### getOperationCS_Parameters

    EReference getOperationCS_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `OperationCS.getParameters()`, `getOperationCS()`

### getOperationCS_TypeCS

    EReference getOperationCS_TypeCS()

  Returns the meta object for the containment reference '`Type CS`'.

  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `OperationCS.getTypeCS()`, `getOperationCS()`

### getVariableCS

    EClass getVariableCS()

  Returns the meta object for class '`Variable CS`'.

  Returns:
    the meta object for class 'Variable CS'.
  See Also:
    `VariableCS`

### getVariableCS_Name

    EAttribute getVariableCS_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `VariableCS.getName()`, `getVariableCS()`

### getVariableCS_TypeCS

    EReference getVariableCS_TypeCS()

  Returns the meta object for the containment reference '`Type CS`'.

  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `VariableCS.getTypeCS()`, `getVariableCS()`

### getVariableCS_InitExpression

    EReference getVariableCS_InitExpression()

  Returns the meta object for the containment reference '`Init Expression`'.

  Returns:
    the meta object for the containment reference 'Init Expression'.
  See Also:
    `VariableCS.getInitExpression()`, `getVariableCS()`

### getPrePostOrBodyDeclCS

    EClass getPrePostOrBodyDeclCS()

  Returns the meta object for class '`Pre Post Or Body Decl CS`'.

  Returns:
    the meta object for class 'Pre Post Or Body Decl CS'.
  See Also:
    `PrePostOrBodyDeclCS`

### getPrePostOrBodyDeclCS_Kind

    EAttribute getPrePostOrBodyDeclCS_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `PrePostOrBodyDeclCS.getKind()`, `getPrePostOrBodyDeclCS()`

### getPrePostOrBodyDeclCS_SimpleNameCS

    EReference getPrePostOrBodyDeclCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `PrePostOrBodyDeclCS.getSimpleNameCS()`, `getPrePostOrBodyDeclCS()`

### getPrePostOrBodyDeclCS_ExpressionCS

    EReference getPrePostOrBodyDeclCS_ExpressionCS()

  Returns the meta object for the containment reference '`Expression CS`'.

  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `PrePostOrBodyDeclCS.getExpressionCS()`, `getPrePostOrBodyDeclCS()`

### getDerValueCS

    EClass getDerValueCS()

  Returns the meta object for class '`Der Value CS`'.

  Returns:
    the meta object for class 'Der Value CS'.
  See Also:
    `DerValueCS`

### getInitValueCS

    EClass getInitValueCS()

  Returns the meta object for class '`Init Value CS`'.

  Returns:
    the meta object for class 'Init Value CS'.
  See Also:
    `InitValueCS`

### getInvCS

    EClass getInvCS()

  Returns the meta object for class '`Inv CS`'.

  Returns:
    the meta object for class 'Inv CS'.
  See Also:
    `InvCS`

### getInvCS_ExpressionCS

    EReference getInvCS_ExpressionCS()

  Returns the meta object for the containment reference '`Expression CS`'.

  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `InvCS.getExpressionCS()`, `getInvCS()`

### getDefCS

    EClass getDefCS()

  Returns the meta object for class '`Def CS`'.

  Returns:
    the meta object for class 'Def CS'.
  See Also:
    `DefCS`

### getDefCS_DefExpressionCS

    EReference getDefCS_DefExpressionCS()

  Returns the meta object for the containment reference '`Def Expression CS`'.

  Returns:
    the meta object for the containment reference 'Def Expression CS'.
  See Also:
    `DefCS.getDefExpressionCS()`, `getDefCS()`

### getDefExpressionCS

    EClass getDefExpressionCS()

  Returns the meta object for class '`Def Expression CS`'.

  Returns:
    the meta object for class 'Def Expression CS'.
  See Also:
    `DefExpressionCS`

### getDefExpressionCS_OperationCS

    EReference getDefExpressionCS_OperationCS()

  Returns the meta object for the containment reference '`Operation CS`'.

  Returns:
    the meta object for the containment reference 'Operation CS'.
  See Also:
    `DefExpressionCS.getOperationCS()`, `getDefExpressionCS()`

### getDefExpressionCS_VariableCS

    EReference getDefExpressionCS_VariableCS()

  Returns the meta object for the containment reference '`Variable CS`'.

  Returns:
    the meta object for the containment reference 'Variable CS'.
  See Also:
    `DefExpressionCS.getVariableCS()`, `getDefExpressionCS()`

### getDefExpressionCS_ExpressionCS

    EReference getDefExpressionCS_ExpressionCS()

  Returns the meta object for the containment reference '`Expression CS`'.

  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `DefExpressionCS.getExpressionCS()`, `getDefExpressionCS()`

### getVariableExpCS

    EClass getVariableExpCS()

  Returns the meta object for class '`Variable Exp CS`'.

  Returns:
    the meta object for class 'Variable Exp CS'.
  See Also:
    `VariableExpCS`

### getVariableExpCS_Arguments

    EReference getVariableExpCS_Arguments()

  Returns the meta object for the containment reference list '`Arguments`'.

  Returns:
    the meta object for the containment reference list 'Arguments'.
  See Also:
    `VariableExpCS.getArguments()`, `getVariableExpCS()`

### getVariableExpCS_SimpleNameCS

    EReference getVariableExpCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `VariableExpCS.getSimpleNameCS()`, `getVariableExpCS()`

### getVariableExpCS_IsMarkedPreCS

    EReference getVariableExpCS_IsMarkedPreCS()

  Returns the meta object for the containment reference '`Is Marked Pre CS`'.

  Returns:
    the meta object for the containment reference 'Is Marked Pre CS'.
  See Also:
    `VariableExpCS.getIsMarkedPreCS()`, `getVariableExpCS()`

### getIsMarkedPreCS

    EClass getIsMarkedPreCS()

  Returns the meta object for class '`Is Marked Pre CS`'.

  Returns:
    the meta object for class 'Is Marked Pre CS'.
  See Also:
    `IsMarkedPreCS`

### getIsMarkedPreCS_Pre

    EAttribute getIsMarkedPreCS_Pre()

  Returns the meta object for the attribute '`Pre`'.

  Returns:
    the meta object for the attribute 'Pre'.
  See Also:
    `IsMarkedPreCS.isPre()`, `getIsMarkedPreCS()`

### getPrimitiveTypeCS

    EClass getPrimitiveTypeCS()

  Returns the meta object for class '`Primitive Type CS`'.

  Returns:
    the meta object for class 'Primitive Type CS'.
  See Also:
    `PrimitiveTypeCS`

### getTupleTypeCS

    EClass getTupleTypeCS()

  Returns the meta object for class '`Tuple Type CS`'.

  Returns:
    the meta object for class 'Tuple Type CS'.
  See Also:
    `TupleTypeCS`

### getTupleTypeCS_Variables

    EReference getTupleTypeCS_Variables()

  Returns the meta object for the containment reference list '`Variables`'.

  Returns:
    the meta object for the containment reference list 'Variables'.
  See Also:
    `TupleTypeCS.getVariables()`, `getTupleTypeCS()`

### getCollectionTypeCS

    EClass getCollectionTypeCS()

  Returns the meta object for class '`Collection Type CS`'.

  Returns:
    the meta object for class 'Collection Type CS'.
  See Also:
    `CollectionTypeCS`

### getCollectionTypeCS_CollectionTypeIdentifier

    EAttribute getCollectionTypeCS_CollectionTypeIdentifier()

  Returns the meta object for the attribute '`Collection Type Identifier`'.

  Returns:
    the meta object for the attribute 'Collection Type Identifier'.
  See Also:
    `CollectionTypeCS.getCollectionTypeIdentifier()`, `getCollectionTypeCS()`

### getCollectionTypeCS_TypeCS

    EReference getCollectionTypeCS_TypeCS()

  Returns the meta object for the containment reference '`Type CS`'.

  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `CollectionTypeCS.getTypeCS()`, `getCollectionTypeCS()`

### getLetExpCS

    EClass getLetExpCS()

  Returns the meta object for class '`Let Exp CS`'.

  Returns:
    the meta object for class 'Let Exp CS'.
  See Also:
    `LetExpCS`

### getLetExpCS_Variables

    EReference getLetExpCS_Variables()

  Returns the meta object for the containment reference list '`Variables`'.

  Returns:
    the meta object for the containment reference list 'Variables'.
  See Also:
    `LetExpCS.getVariables()`, `getLetExpCS()`

### getLetExpCS_InExpression

    EReference getLetExpCS_InExpression()

  Returns the meta object for the containment reference '`In Expression`'.

  Returns:
    the meta object for the containment reference 'In Expression'.
  See Also:
    `LetExpCS.getInExpression()`, `getLetExpCS()`

### getIfExpCS

    EClass getIfExpCS()

  Returns the meta object for class '`If Exp CS`'.

  Returns:
    the meta object for class 'If Exp CS'.
  See Also:
    `IfExpCS`

### getIfExpCS_ThenExpression

    EReference getIfExpCS_ThenExpression()

  Returns the meta object for the containment reference '`Then Expression`'.

  Returns:
    the meta object for the containment reference 'Then Expression'.
  See Also:
    `IfExpCS.getThenExpression()`, `getIfExpCS()`

### getIfExpCS_ElseExpression

    EReference getIfExpCS_ElseExpression()

  Returns the meta object for the containment reference '`Else Expression`'.

  Returns:
    the meta object for the containment reference 'Else Expression'.
  See Also:
    `IfExpCS.getElseExpression()`, `getIfExpCS()`

### getIfExpCS_Condition

    EReference getIfExpCS_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `IfExpCS.getCondition()`, `getIfExpCS()`

### getMessageExpCS

    EClass getMessageExpCS()

  Returns the meta object for class '`Message Exp CS`'.

  Returns:
    the meta object for class 'Message Exp CS'.
  See Also:
    `MessageExpCS`

### getMessageExpCS_Target

    EReference getMessageExpCS_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `MessageExpCS.getTarget()`, `getMessageExpCS()`

### getMessageExpCS_Kind

    EAttribute getMessageExpCS_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `MessageExpCS.getKind()`, `getMessageExpCS()`

### getMessageExpCS_SimpleNameCS

    EReference getMessageExpCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `MessageExpCS.getSimpleNameCS()`, `getMessageExpCS()`

### getMessageExpCS_Arguments

    EReference getMessageExpCS_Arguments()

  Returns the meta object for the containment reference list '`Arguments`'.

  Returns:
    the meta object for the containment reference list 'Arguments'.
  See Also:
    `MessageExpCS.getArguments()`, `getMessageExpCS()`

### getOCLMessageArgCS

    EClass getOCLMessageArgCS()

  Returns the meta object for class '`OCL Message Arg CS`'.

  Returns:
    the meta object for class 'OCL Message Arg CS'.
  See Also:
    `OCLMessageArgCS`

### getOCLMessageArgCS_TypeCS

    EReference getOCLMessageArgCS_TypeCS()

  Returns the meta object for the containment reference '`Type CS`'.

  Returns:
    the meta object for the containment reference 'Type CS'.
  See Also:
    `OCLMessageArgCS.getTypeCS()`, `getOCLMessageArgCS()`

### getOCLMessageArgCS_Expression

    EReference getOCLMessageArgCS_Expression()

  Returns the meta object for the containment reference '`Expression`'.

  Returns:
    the meta object for the containment reference 'Expression'.
  See Also:
    `OCLMessageArgCS.getExpression()`, `getOCLMessageArgCS()`

### getLiteralExpCS

    EClass getLiteralExpCS()

  Returns the meta object for class '`Literal Exp CS`'.

  Returns:
    the meta object for class 'Literal Exp CS'.
  See Also:
    `LiteralExpCS`

### getEnumLiteralExpCS

    EClass getEnumLiteralExpCS()

  Returns the meta object for class '`Enum Literal Exp CS`'.

  Returns:
    the meta object for class 'Enum Literal Exp CS'.
  See Also:
    `EnumLiteralExpCS`

### getEnumLiteralExpCS_PathNameCS

    EReference getEnumLiteralExpCS_PathNameCS()

  Returns the meta object for the containment reference '`Path Name CS`'.

  Returns:
    the meta object for the containment reference 'Path Name CS'.
  See Also:
    `EnumLiteralExpCS.getPathNameCS()`, `getEnumLiteralExpCS()`

### getEnumLiteralExpCS_SimpleNameCS

    EReference getEnumLiteralExpCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `EnumLiteralExpCS.getSimpleNameCS()`, `getEnumLiteralExpCS()`

### getCollectionLiteralExpCS

    EClass getCollectionLiteralExpCS()

  Returns the meta object for class '`Collection Literal Exp CS`'.

  Returns:
    the meta object for class 'Collection Literal Exp CS'.
  See Also:
    `CollectionLiteralExpCS`

### getCollectionLiteralExpCS_CollectionType

    EAttribute getCollectionLiteralExpCS_CollectionType()

  Returns the meta object for the attribute '`Collection Type`'.

  Returns:
    the meta object for the attribute 'Collection Type'.
  See Also:
    `CollectionLiteralExpCS.getCollectionType()`, `getCollectionLiteralExpCS()`

### getCollectionLiteralExpCS_CollectionLiteralParts

    EReference getCollectionLiteralExpCS_CollectionLiteralParts()

  Returns the meta object for the containment reference list '`Collection Literal Parts`'.

  Returns:
    the meta object for the containment reference list 'Collection Literal Parts'.
  See Also:
    `CollectionLiteralExpCS.getCollectionLiteralParts()`, `getCollectionLiteralExpCS()`

### getCollectionLiteralPartCS

    EClass getCollectionLiteralPartCS()

  Returns the meta object for class '`Collection Literal Part CS`'.

  Returns:
    the meta object for class 'Collection Literal Part CS'.
  See Also:
    `CollectionLiteralPartCS`

### getCollectionLiteralPartCS_ExpressionCS

    EReference getCollectionLiteralPartCS_ExpressionCS()

  Returns the meta object for the containment reference '`Expression CS`'.

  Returns:
    the meta object for the containment reference 'Expression CS'.
  See Also:
    `CollectionLiteralPartCS.getExpressionCS()`, `getCollectionLiteralPartCS()`

### getTupleLiteralExpCS

    EClass getTupleLiteralExpCS()

  Returns the meta object for class '`Tuple Literal Exp CS`'.

  Returns:
    the meta object for class 'Tuple Literal Exp CS'.
  See Also:
    `TupleLiteralExpCS`

### getTupleLiteralExpCS_Variables

    EReference getTupleLiteralExpCS_Variables()

  Returns the meta object for the containment reference list '`Variables`'.

  Returns:
    the meta object for the containment reference list 'Variables'.
  See Also:
    `TupleLiteralExpCS.getVariables()`, `getTupleLiteralExpCS()`

### getPrimitiveLiteralExpCS

    EClass getPrimitiveLiteralExpCS()

  Returns the meta object for class '`Primitive Literal Exp CS`'.

  Returns:
    the meta object for class 'Primitive Literal Exp CS'.
  See Also:
    `PrimitiveLiteralExpCS`

### getPrimitiveLiteralExpCS_Symbol

    EAttribute getPrimitiveLiteralExpCS_Symbol()

  Returns the meta object for the attribute '`Symbol`'.

  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `PrimitiveLiteralExpCS.getSymbol()`, `getPrimitiveLiteralExpCS()`

### getIntegerLiteralExpCS

    EClass getIntegerLiteralExpCS()

  Returns the meta object for class '`Integer Literal Exp CS`'.

  Returns:
    the meta object for class 'Integer Literal Exp CS'.
  See Also:
    `IntegerLiteralExpCS`

### getIntegerLiteralExpCS_IntegerSymbol

    EAttribute getIntegerLiteralExpCS_IntegerSymbol()

  Returns the meta object for the attribute '`Integer Symbol`'.

  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `IntegerLiteralExpCS.getIntegerSymbol()`, `getIntegerLiteralExpCS()`

### getUnlimitedNaturalLiteralExpCS

    EClass getUnlimitedNaturalLiteralExpCS()

  Returns the meta object for class '`Unlimited Natural Literal Exp CS`'.

  Returns:
    the meta object for class 'Unlimited Natural Literal Exp CS'.
  See Also:
    `UnlimitedNaturalLiteralExpCS`

### getUnlimitedNaturalLiteralExpCS_IntegerSymbol

    EAttribute getUnlimitedNaturalLiteralExpCS_IntegerSymbol()

  Returns the meta object for the attribute '`Integer Symbol`'.

  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `UnlimitedNaturalLiteralExpCS.getIntegerSymbol()`, `getUnlimitedNaturalLiteralExpCS()`

### getRealLiteralExpCS

    EClass getRealLiteralExpCS()

  Returns the meta object for class '`Real Literal Exp CS`'.

  Returns:
    the meta object for class 'Real Literal Exp CS'.
  See Also:
    `RealLiteralExpCS`

### getRealLiteralExpCS_RealSymbol

    EAttribute getRealLiteralExpCS_RealSymbol()

  Returns the meta object for the attribute '`Real Symbol`'.

  Returns:
    the meta object for the attribute 'Real Symbol'.
  See Also:
    `RealLiteralExpCS.getRealSymbol()`, `getRealLiteralExpCS()`

### getStringLiteralExpCS

    EClass getStringLiteralExpCS()

  Returns the meta object for class '`String Literal Exp CS`'.

  Returns:
    the meta object for class 'String Literal Exp CS'.
  See Also:
    `StringLiteralExpCS`

### getStringLiteralExpCS_StringSymbol

    EAttribute getStringLiteralExpCS_StringSymbol()

  Returns the meta object for the attribute '`String Symbol`'.

  Returns:
    the meta object for the attribute 'String Symbol'.
  See Also:
    `StringLiteralExpCS.getStringSymbol()`, `getStringLiteralExpCS()`

### getBooleanLiteralExpCS

    EClass getBooleanLiteralExpCS()

  Returns the meta object for class '`Boolean Literal Exp CS`'.

  Returns:
    the meta object for class 'Boolean Literal Exp CS'.
  See Also:
    `BooleanLiteralExpCS`

### getBooleanLiteralExpCS_BooleanSymbol

    EAttribute getBooleanLiteralExpCS_BooleanSymbol()

  Returns the meta object for the attribute '`Boolean Symbol`'.

  Returns:
    the meta object for the attribute 'Boolean Symbol'.
  See Also:
    `BooleanLiteralExpCS.getBooleanSymbol()`, `getBooleanLiteralExpCS()`

### getNullLiteralExpCS

    EClass getNullLiteralExpCS()

  Returns the meta object for class '`Null Literal Exp CS`'.

  Returns:
    the meta object for class 'Null Literal Exp CS'.
  See Also:
    `NullLiteralExpCS`

### getNullLiteralExpCS_Symbol

    EAttribute getNullLiteralExpCS_Symbol()

  Returns the meta object for the attribute '`Symbol`'.

  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `NullLiteralExpCS.getSymbol()`, `getNullLiteralExpCS()`

### getInvalidLiteralExpCS

    EClass getInvalidLiteralExpCS()

  Returns the meta object for class '`Invalid Literal Exp CS`'.

  Returns:
    the meta object for class 'Invalid Literal Exp CS'.
  See Also:
    `InvalidLiteralExpCS`

### getInvalidLiteralExpCS_Symbol

    EAttribute getInvalidLiteralExpCS_Symbol()

  Returns the meta object for the attribute '`Symbol`'.

  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `InvalidLiteralExpCS.getSymbol()`, `getInvalidLiteralExpCS()`

### getCollectionRangeCS

    EClass getCollectionRangeCS()

  Returns the meta object for class '`Collection Range CS`'.

  Returns:
    the meta object for class 'Collection Range CS'.
  See Also:
    `CollectionRangeCS`

### getCollectionRangeCS_LastExpressionCS

    EReference getCollectionRangeCS_LastExpressionCS()

  Returns the meta object for the containment reference '`Last Expression CS`'.

  Returns:
    the meta object for the containment reference 'Last Expression CS'.
  See Also:
    `CollectionRangeCS.getLastExpressionCS()`, `getCollectionRangeCS()`

### getCallExpCS

    EClass getCallExpCS()

  Returns the meta object for class '`Call Exp CS`'.

  Returns:
    the meta object for class 'Call Exp CS'.
  See Also:
    `CallExpCS`

### getCallExpCS_Source

    EReference getCallExpCS_Source()

  Returns the meta object for the containment reference '`Source`'.

  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `CallExpCS.getSource()`, `getCallExpCS()`

### getCallExpCS_Accessor

    EAttribute getCallExpCS_Accessor()

  Returns the meta object for the attribute '`Accessor`'.

  Returns:
    the meta object for the attribute 'Accessor'.
  See Also:
    `CallExpCS.getAccessor()`, `getCallExpCS()`

### getCallExpCS_SimpleNameCS

    EReference getCallExpCS_SimpleNameCS()

  Returns the meta object for the containment reference '`Simple Name CS`'.

  Returns:
    the meta object for the containment reference 'Simple Name CS'.
  See Also:
    `CallExpCS.getSimpleNameCS()`, `getCallExpCS()`

### getLoopExpCS

    EClass getLoopExpCS()

  Returns the meta object for class '`Loop Exp CS`'.

  Returns:
    the meta object for class 'Loop Exp CS'.
  See Also:
    `LoopExpCS`

### getLoopExpCS_Variable1

    EReference getLoopExpCS_Variable1()

  Returns the meta object for the containment reference '`Variable1`'.

  Returns:
    the meta object for the containment reference 'Variable1'.
  See Also:
    `LoopExpCS.getVariable1()`, `getLoopExpCS()`

### getLoopExpCS_Variable2

    EReference getLoopExpCS_Variable2()

  Returns the meta object for the containment reference '`Variable2`'.

  Returns:
    the meta object for the containment reference 'Variable2'.
  See Also:
    `LoopExpCS.getVariable2()`, `getLoopExpCS()`

### getLoopExpCS_Body

    EReference getLoopExpCS_Body()

  Returns the meta object for the containment reference '`Body`'.

  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `LoopExpCS.getBody()`, `getLoopExpCS()`

### getIteratorExpCS

    EClass getIteratorExpCS()

  Returns the meta object for class '`Iterator Exp CS`'.

  Returns:
    the meta object for class 'Iterator Exp CS'.
  See Also:
    `IteratorExpCS`

### getIterateExpCS

    EClass getIterateExpCS()

  Returns the meta object for class '`Iterate Exp CS`'.

  Returns:
    the meta object for class 'Iterate Exp CS'.
  See Also:
    `IterateExpCS`

### getFeatureCallExpCS

    EClass getFeatureCallExpCS()

  Returns the meta object for class '`Feature Call Exp CS`'.

  Returns:
    the meta object for class 'Feature Call Exp CS'.
  See Also:
    `FeatureCallExpCS`

### getFeatureCallExpCS_Arguments

    EReference getFeatureCallExpCS_Arguments()

  Returns the meta object for the containment reference list '`Arguments`'.

  Returns:
    the meta object for the containment reference list 'Arguments'.
  See Also:
    `FeatureCallExpCS.getArguments()`, `getFeatureCallExpCS()`

### getFeatureCallExpCS_IsMarkedPreCS

    EReference getFeatureCallExpCS_IsMarkedPreCS()

  Returns the meta object for the containment reference '`Is Marked Pre CS`'.

  Returns:
    the meta object for the containment reference 'Is Marked Pre CS'.
  See Also:
    `FeatureCallExpCS.getIsMarkedPreCS()`, `getFeatureCallExpCS()`

### getOperationCallExpCS

    EClass getOperationCallExpCS()

  Returns the meta object for class '`Operation Call Exp CS`'.

  Returns:
    the meta object for class 'Operation Call Exp CS'.
  See Also:
    `OperationCallExpCS`

### getStateExpCS

    EClass getStateExpCS()

  Returns the meta object for class '`State Exp CS`'.

  Returns:
    the meta object for class 'State Exp CS'.
  See Also:
    `StateExpCS`

### getStateExpCS_SequenceOfNames

    EAttribute getStateExpCS_SequenceOfNames()

  Returns the meta object for the attribute list '`Sequence Of Names`'.

  Returns:
    the meta object for the attribute list 'Sequence Of Names'.
  See Also:
    `StateExpCS.getSequenceOfNames()`, `getStateExpCS()`

### getSimpleTypeEnum

    EEnum getSimpleTypeEnum()

  Returns the meta object for enum '`Simple Type Enum`'.

  Returns:
    the meta object for enum 'Simple Type Enum'.
  See Also:
    `SimpleTypeEnum`

### getPrePostOrBodyEnum

    EEnum getPrePostOrBodyEnum()

  Returns the meta object for enum '`Pre Post Or Body Enum`'.

  Returns:
    the meta object for enum 'Pre Post Or Body Enum'.
  See Also:
    `PrePostOrBodyEnum`

### getCollectionTypeIdentifierEnum

    EEnum getCollectionTypeIdentifierEnum()

  Returns the meta object for enum '`Collection Type Identifier Enum`'.

  Returns:
    the meta object for enum 'Collection Type Identifier Enum'.
  See Also:
    `CollectionTypeIdentifierEnum`

### getMessageExpKind

    EEnum getMessageExpKind()

  Returns the meta object for enum '`Message Exp Kind`'.

  Returns:
    the meta object for enum 'Message Exp Kind'.
  See Also:
    `MessageExpKind`

### getDotOrArrowEnum

    EEnum getDotOrArrowEnum()

  Returns the meta object for enum '`Dot Or Arrow Enum`'.

  Returns:
    the meta object for enum 'Dot Or Arrow Enum'.
  See Also:
    `DotOrArrowEnum`

### getCSTFactory

    CSTFactory getCSTFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.